<?php

// Ce fichier ne sera execute qu'une fois
if (defined("_ECRIRE_GISEH_INC_AUTORISE_DOC")) return;
define("_ECRIRE_GISEH_INC_AUTORISE_DOC", "1");

include_ecrire ("_giseh_inc_ari.php3");


//--------- Debut ajout CI (ec) -----
function ci_autorise_doc($id_document){
	$statut = 404;
	$id_document=intval($id_document);
	$id_auteur=0;
	$id_article="";
	$id_rubrique="";
	$tableau_rubriques=array();
	$ari=false;
	$ar=false;


	if ($id_document) {	
		
		//  quelle id_article correspond id_document
		$query = "SELECT id_article FROM spip_documents_articles WHERE id_document=".$id_document;
		$result = spip_query($query);	
		while ($row = spip_fetch_array($result)) {
			$id_article = $row['id_article'];
		}

		if ($id_article) {	
			//  quelle id_rubrique correspond id_article
			$query = "SELECT id_rubrique FROM spip_articles WHERE id_article=".$id_article;
			$result = spip_query($query);	
			while ($row = spip_fetch_array($result)) {
				$id_rubrique = $row['id_rubrique'];
			}
		} else {
			//  quelle id_rubrique correspond id_document
			// cas d'un document rattach  une rubrique
			$query = "SELECT id_rubrique FROM spip_documents_rubriques WHERE id_document=".$id_document;
			$result = spip_query($query);	
			while ($row = spip_fetch_array($result)) {
				$id_rubrique = $row['id_rubrique'];
			}
		}
				
		if ($id_rubrique) {

			$ari=ci_ari_heritage($id_rubrique);
			if (!$ari) $ar=ci_ar_heritage($id_rubrique);

			
			if ($ari OR $ar) {
				// authentification du visiteur
				if ($GLOBALS['_COOKIE']['spip_session'] OR
				($GLOBALS['_SERVER']['PHP_AUTH_USER']  AND !$ignore_auth_http)) {
					include_ecrire ("inc_session.php3");
					if (verifier_visiteur()) {
						$id_auteur=$GLOBALS['auteur_session']['id_auteur'];
					}				
				}
			}

			
			if ($ari) {
				// rubrique en accs restreint individualis
				$statut = 403;
				if (intval($id_auteur)>0) {
					$tableau_rubriques=ci_parents($id_rubrique);
					$tableau_rubriques[]=$id_rubrique;
					$query = "SELECT id_rubrique FROM spip_auteurs_rubriques WHERE id_auteur=".intval($id_auteur)." AND id_rubrique IN (".implode(", ",$tableau_rubriques).", 0)";
					$result = spip_query($query);	
					if (spip_num_rows($result)>0) $statut = 203;
				}

			} elseif ($ar) {
				// rubrique en accs restreint
				$statut = 403;
				if (intval($id_auteur)>0) $statut = 203;
				
			} else {
				// rubrique en accs libre
				$statut = 200;

			}
			
		}
			
	}		
	
	return $statut;
}



//---------- Fin ajout CI -----

?>