<?php

//
// Ce fichier ne sera execute qu'une fois
if (defined("_ECRIRE_GISEH_INC_BASE")) return;
define("_ECRIRE_GISEH_INC_BASE", "1");

$cimesoptions="";
if (@is_dir('ecrire/')) $cimesoptions='ecrire/';
$cimesoptions.= 'mes_options.php3';

if (@file_exists($cimesoptions)) {
	include_once($cimesoptions);
}



//--------- Debut ajout CI ---------------------

function citab_groupe_mot_tech() {
// syntaxe du tableau des groupes de mots techniques : titre, unseul, obligatoire, articles, breves, rubriques, syndic, minirezo, comite, forum
return array("_affichage_site_ou_syndication" => "'', 'oui', '', '', '', 'oui', 'oui', '', 'non'",
"_affichage_article" => "'', 'oui', 'oui', '', '', '', 'oui', '', 'non'",
"_articles_ordre_de_tri" => "'oui', 'oui', '', '', 'oui', '', 'oui', '', 'non'",
"_forme_article" => "'oui', 'oui', 'oui', '', '', '', 'oui', 'oui', 'non'",
"_forme_rubrique" => "'oui', 'oui', '', '', 'oui', '', 'oui', '', 'non'",
"_acces_restreint" => "'oui', 'oui', '', '', 'oui', '', 'oui', '', 'non'",
"_affichage_rubrique" => "'', 'oui', '', '', 'oui', '', 'oui', '', 'non'",
"_multirubricage" => "'', '', 'oui', '', 'oui', '', 'oui', 'oui', 'non'");
}



function citab_groupe_mot_nat() {
// syntaxe du tableau des groupes de mots nat : titre, unseul, obligatoire, articles, breves, rubriques, syndic, minirezo, comite, forum
return array("Thmes nationaux A - C" => "'', '', 'oui', '', 'oui', '', 'oui', 'oui', 'non'",
"Domaines d\'activit nationaux" => "'', '', 'oui', '', 'oui', '', 'oui', 'oui', 'non'",
"Thmes nationaux D - F" => "'', '', 'oui', '', 'oui', '', 'oui', 'oui', 'non'",
"Thmes nationaux G - O" => "'', '', 'oui', '', 'oui', '', 'oui', 'oui', 'non'",
"Thmes nationaux P - S" => "'', '', 'oui', '', 'oui', '', 'oui', 'oui', 'non'",
"Thmes nationaux T - Z" => "'', '', 'oui', '', 'oui', '', 'oui', 'oui', 'non'");
}


function citab_mot_tech() {
// syntaxe du tableau des mots techniques: type, titre, descriptif
return array("'_affichage_rubrique', '_portail_droite_titre_bloc_logo', 'Page d\'accueil : titre d\'un bloc (logo) dans la colonne de droite'",
"'_affichage_article', '_portail_droite', 'Page d\'accueil : raccourci dans la colonne de droite (1)'",
"'_affichage_rubrique', '_portail_droite', 'Page d\'accueil : raccourci dans la colonne de droite (1)'",
"'_affichage_rubrique', '_portail_droite_titre_bloc_lien', 'Page d\'accueil : titre d\'un bloc (lien) dans la colonne de droite'",
"'_affichage_article', '_portail_permanent_haut', 'Page daccueil : raccourci permanent au dbut des actualits'",
"'_forme_rubrique', '_multirubricage', 'Rubrique simulant un multirubricage'",
"'_forme_rubrique', '_textearticle', 'Affiche directement le texte de ses articles'",
"'_affichage_article', '_nouvelle_fenetre', 'L\'article s\'ouvre dans une nouvelle fentre'",
"'_affichage_article', '_portail_actu', 'Page daccueil : actualits (raccourci temporaire)'",
"'_affichage_article', '_portail_permanent_bas', 'Page daccueil : raccourci permanent en bas des actualits'",
"'_affichage_article', '_portail_dossiers', 'Page daccueil : raccourci dans la colonne centrale (\"dossiers\" ...)'",
"'_affichage_rubrique', '_portail_gauche', 'Page d\'accueil : raccourci dans la colonne de gauche (1)'",
"'_forme_rubrique', '_syndicationtexte', 'Affiche le texte d\'un article d\'un autre site par syndication'",
"'_affichage_site_ou_syndication', '_portail_gauche', 'Page d\'accueil : raccourci dans la colonne de gauche (1)'",
"'_forme_rubrique', '_forum', 'Forums (avec un forum par article)'",
"'_forme_rubrique', '_redirection', 'Redirection : affiche directement le dernier article (redirection).'",
"'_forme_article', '_comarquage', 'Le texte est issu dun autre site par comarquage.'",
"'_affichage_rubrique', '_tous_les_dossiers', 'Page d\'accueil : titre colonne centrale (\"Dossiers\" ou autre)'",
"'_affichage_rubrique', '_portail_dossiers_rub', 'Page daccueil : raccourci dans la colonne centrale (\"dossiers\" ...)'",
"'_affichage_rubrique', '_souspageaccueil_centre_rub', 'Sous page daccueil : raccourci dans la colonne centrale (\"dossiers\" ...)'",
"'_affichage_rubrique', '_portail_droite_titre_bloc_2col_logo', 'Page d\'accueil : titre d\'un bloc (2 col. logo) colonne droite'",
"'_affichage_site_ou_syndication', '_portail_droite', 'Page d\'accueil : raccourci dans la colonne de droite (1)'",
"'_affichage_rubrique', '_portail_gauche_titre_bloc', 'Page d\'accueil : titre d\'un bloc dans la colonne de gauche'",
"'_affichage_article', '_portail_gauche', 'Page daccueil : raccourci dans la colonne de gauche (1)'",
"'_forme_rubrique', '_espacededie', 'Forme \"Espace ddi\"'",
"'_forme_rubrique', '_cartesites','Avec une image cliquable dans le texte de la rubrique (dpt  ...)'",
"'_forme_rubrique', '_etablissements', 'Pour prsenter une liste d\'tablissements ou autre '",
"'_affichage_article', '_portail_permanent', 'Page d\'accueil : le texte figure en permanence'",
"'_affichage_article', '_rubrique_actu', 'Rubrique : raccourci temporaire dans les dernires actualits'",
"'_forme_rubrique', '_avecactualite', 'Rubrique avec gestion des actualits'",
"'_affichage_rubrique', '_recevoirarticlevisiteur', 'Un visiteur pourra proposer un article dans cette rubrique'",
"'_multirubricage', 'Fiches thmatiques (exemple)' ,  ''",
"'_forme_article', '_liensutiles', 'Avec des liens vers les sites rfrencs dans la rubrique'",
"'_forme_rubrique', '_textearticlepagination', 'Affiche directement le texte de ses articles (avec pagination)'",
"'_forme_article', '_photo', 'Article sous forme de reportage photo'",
"'_affichage_site_ou_syndication', '_portail_syndication', 'Page d\'accueil : syndication des actualits dans la colonne centrale'",
"'_forme_rubrique', '_syndication', 'Consacre aux actualits dautres sites par syndication'",
"'_forme_article', '_motcle', 'Avec sa liste des mots-cls en bas de page'",
"'_multirubricage', 'Compte rendu',''",
"'_affichage_article', '_pied', 'Pied de page : raccourci vers l\'article'",
"'_forme_article', '_articlesmememotcle', 'Avec des liens vers les articles ayant l\'un de ses mots cls'",
"'_forme_rubrique', '_forumhierarchique', 'Forums hirarchiques (en plus on peut rpondre  une rponse)'",
"'_forme_article', '_commentaireautrepage', 'On peut ajouter et lire des commentaires sur une autre page'",
"'_forme_rubrique', '_2colonnes', 'Les sous rubriques sont prsentes sur 2 colonnes'",
"'_forme_rubrique', '_3colonnes', 'Les sous rubriques sont prsentes sur 3 colonnes'",
"'_affichage_rubrique', '_portail_droite_titre_bloc_grandlogo', 'Page d\'accueil : titre d\'un bloc (grand logo) colonne droite'",
"'_affichage_rubrique', '_masquer_dans_plan', 'Masque cette rubrique dans le plan du site'",
"'_affichage_article', '_reagir', 'Les visiteurs pourront ragir sur cet article'",
"'_forme_rubrique', '_sansarticle', 'Les sous rubriques et les articles ne sont pas affichs'",
"'_forme_article', '_sommaireautomatique', 'Avec un sommaire automatique des intertitres'",
"'_forme_rubrique', '_calendrier', 'Calendrier'",
"'_forme_rubrique', '_textearticleunparpage', 'Affiche directement le texte de ses articles (un par page)'",
"'_affichage_rubrique', '_masquer_dans_menu_dynamique', 'Masque cette rubrique dans le menu dynamique'",
"'_acces_restreint', '_acces_restreint', 'Accs restreint sur le site public (aux personnes authentifies)'",
"'_forme_article', '_commentaire', 'Article sur lequel on peut ajouter et lire des commentaires'",
"'_affichage_rubrique', '_souspageaccueil_droite_titre_bloc_grandlogo', 'Sous page d\'accueil : titre d\'un bloc (grand logo) colonne droite'",
"'_affichage_article', '_souspageaccueil_permanent', 'Sous page d\'accueil : permanent'",
"'_affichage_article', '_souspageaccueil_actu', 'Sous page daccueil : raccourci dans les dernires actualits'",
"'_affichage_article', '_souspageaccueil_centre', 'Sous page daccueil : raccourci dans la colonne centrale'",
"'_affichage_article', '_souspageaccueil_permanent_bas', 'Sous page daccueil : raccourci permanent en bas des actualits'",
"'_affichage_article', '_souspageaccueil_permanent_haut', 'Sous page daccueil : raccourci permanent au dbut des actualits'",
"'_affichage_article', '_souspageaccueil_gauche', 'Sous page daccueil : raccourci dans la colonne de gauche'",
"'_affichage_article', '_souspageaccueil_droite', 'Sous page daccueil : raccourci dans la colonne de droite'",
"'_affichage_site_ou_syndication', '_souspageaccueil_gauche', 'Sous page d\'accueil : raccourci dans la colonne de gauche'",
"'_affichage_site_ou_syndication', '_souspageaccueil_droite', 'Sous page d\'accueil : raccourci dans la colonne de droite'",
"'_affichage_site_ou_syndication', '_souspageaccueil_syndication', 'Sous page d\'accueil : syndication des actualits (au centre)'",
"'_forme_rubrique', '_souspageaccueil', 'Forme de sous page d\'accueil (paramtrable)'",
"'_affichage_rubrique', '_souspageaccueil_gauche_titre_bloc', 'Sous page d\'accueil : titre d\'un bloc dans la colonne de gauche'",
"'_affichage_rubrique', '_souspageaccueil_gauche', 'Sous page d\'accueil : raccourci dans la colonne de gauche'",
"'_affichage_rubrique', '_souspageaccueil_droite_titre_bloc_2col_logo', 'Sous page d\'accueil : titre d\'un bloc (2 col. logo) colonne droite'",
"'_affichage_rubrique', '_souspageaccueil_droite_titre_bloc_logo', 'Sous page d\'accueil : titre d\'un bloc (logo) dans colonne droite'",
"'_affichage_rubrique', '_souspageaccueil_droite_titre_bloc_lien', 'Sous page d\'accueil : titre d\'un bloc (lien) dans colonne droite'",
"'_affichage_rubrique', '_souspageaccueil_droite', 'Sous page d\'accueil : raccourci dans la colonne de droite'",
"'_affichage_rubrique', '_souspageaccueil_centre', 'Sous page d\'accueil : titre colonne centrale (\"Dossier\" ou autre)'",
"'_forme_article', '_photomosaique', 'Reportage photo en mosaique'",
"'_forme_rubrique', '_multirubricagetrirubrique', 'Rubrique simulant un multirubricage (tri par rubrique)'",
"'_forme_rubrique', '_cartesites2', 'Avec une image cliquable dans le texte (une liste droulante)'",
"'_forme_rubrique', '_cartesites3', 'Avec une image cliquable dans le texte (sans liste droulante)'",
"'_articles_ordre_de_tri', '_par_numero_de_titre', 'Tri des articles par numro de titre'",
"'_articles_ordre_de_tri', '_par_date_croissante', 'Tri des articles par date de publication croissante'",
"'_articles_ordre_de_tri', '_par_date_decroissante', 'Tri des articles par date de publication dcroissante'",
"'_articles_ordre_de_tri', '_par_ordre_alphabetique', 'Tri des articles par ordre alphabtique de titre'",
"'_affichage_article', '_reader_acrobat_ou_autre', 'Outils : raccourci relatif  Acrobat reader ou autre'",
"'_acces_restreint', '_acces_libre', 'Accs libre sur le site public'",
"'_forme_rubrique', '_tableau', 'Tableau : prsente les articles dans un tableau'",
"'_forme_rubrique', '_etablissements2', 'Pour prsenter une liste dtablissements ou autre (variante) '",
"'_forme_article', '_url', 'Sans ajout de blanc avant un point d\'interrogation'",
"'_affichage_rubrique', '_toute_l_actualite', 'Page d\'accueil : lien \"Toute l\'actualit\" (site du ministre)'",
"'_forme_article', '_questionner', 'Formulaire pour poser une question'",
"'_forme_article', '_questano', 'Formulaire pour envoyer un message anonyme'",
"'_forme_article', '_wiki', 'Article modifiable par tous depuis le site public'",
"'_forme_article', '_chat', 'Chat'",
"'_forme_rubrique', '_faq', 'FAQ'",
"'_affichage_article', '_portail_commentaire', 'Page daccueil : affichage du dernier commentaire'",
"'_forme_article', '_signature', 'Article avec recueil de signatures'",
"'_acces_restreint', '_acces_indiv', 'Espace collaboratif (selon les droits d\'accs)'");
}


function citab_mot_nat() {
// syntaxe du tableau des mots nat : type, titre, descriptif
return array(
"'Thmes nationaux A - C','accident de la route',''",
"'Thmes nationaux T - Z','transport ferroviaire',''",
"'Thmes nationaux T - Z','transport de voyageurs : transport de personnes',''",
"'Thmes nationaux T - Z','trafic ',''",
"'Thmes nationaux P - S','signalisation',''",
"'Thmes nationaux P - S','service urbain',''",
"'Thmes nationaux P - S','service public',''",
"'Thmes nationaux P - S','service aroportuaire',''",
"'Thmes nationaux P - S','scurit des infrastructures',''",
"'Thmes nationaux P - S','scurit civile',''",
"'Thmes nationaux P - S','schma de service',''",
"'Thmes nationaux P - S','sant',''",
"'Thmes nationaux P - S','risque naturel',''",
"'Thmes nationaux P - S','retraite',''",
"'Thmes nationaux P - S','rglementation',''",
"'Thmes nationaux P - S','port',''",
"'Thmes nationaux P - S','politique de scurit routire',''",
"'Thmes nationaux P - S','politique de la ville',''",
"'Thmes nationaux P - S','partenariat public-priv',''",
"'Thmes nationaux G - O','ouvrage d\'art',''",
"'Thmes nationaux G - O','mutation',''",
"'Thmes nationaux G - O','marchs publics ',''",
"'Thmes nationaux G - O','management',''",
"'Thmes nationaux G - O','logistique',''",
"'Thmes nationaux G - O','investissement',''",
"'Thmes nationaux G - O','information routire',''",
"'Thmes nationaux G - O','GPEC',''",
"'Thmes nationaux D - F','fiscalit',''",
"'Thmes nationaux D - F','financement communautaire',''",
"'Thmes nationaux D - F','exportation',''",
"'Thmes nationaux D - F','quipement du vhicule',''",
"'Thmes nationaux D - F','pidmiologie (=sant)',''",
"'Thmes nationaux D - F','entreprise de transport arien',''",
"'Thmes nationaux D - F','eau',''",
"'Thmes nationaux D - F','DRE',''",
"'Thmes nationaux D - F','DRDE',''",
"'Thmes nationaux D - F','dveloppement durable',''",
"'Thmes nationaux A - C','contrle technique',''",
"'Thmes nationaux A - C','conjoncture',''",
"'Thmes nationaux A - C','circulation arienne',''",
"'Thmes nationaux A - C','CETE',''",
"'Thmes nationaux A - C','assurance',''",
"'Thmes nationaux A - C','archives',''",
"'Thmes nationaux A - C','analyse statistique',''",
"'Thmes nationaux A - C','amnagement urbain',''",
"'Thmes nationaux A - C','amnagement du territoire',''",
"'Thmes nationaux A - C','amnagement du littoral',''",
"'Thmes nationaux A - C','amnagement de scurit',''",
"'Thmes nationaux A - C','air',''",
"'Thmes nationaux A - C','aronef (= matriel arien)',''",
"'Thmes nationaux A - C','arodrome',''",
"'Thmes nationaux A - C','administration lectronique',''",
"'Thmes nationaux A - C','administration centrale',''",
"'Thmes nationaux A - C','activit support',''",
"'Thmes nationaux A - C','activit nautique',''",
"'Thmes nationaux A - C','action sociale',''",
"'Thmes nationaux A - C','action interministrielle',''",
"'Thmes nationaux A - C','action de prvention',''",
"'Thmes nationaux A - C','accidentologie',''",
"'Thmes nationaux T - Z','transport exceptionnel',''",
"'Thmes nationaux T - Z','transport de marchandises',''",
"'Thmes nationaux T - Z','transport collectif : transport en commun',''",
"'Thmes nationaux T - Z','tourisme fluvial',''",
"'Thmes nationaux P - S','systme d\'information',''",
"'Thmes nationaux P - S','sret',''",
"'Thmes nationaux P - S','statut',''",
"'Thmes nationaux P - S','statistiques',''",
"'Thmes nationaux P - S','stationnement',''",
"'Thmes nationaux P - S','service technique central',''",
"'Thmes nationaux P - S','scurit maritime',''",
"'Thmes nationaux P - S','scurit arienne',''",
"'Thmes nationaux P - S','RST (=Rseau scientifique et technique)',''",
"'Thmes nationaux P - S','route nationale',''",
"'Thmes nationaux P - S','route  grande circulation',''",
"'Thmes nationaux P - S','risque technologique',''",
"'Thmes nationaux P - S','rseau routier ',''",
"'Thmes nationaux P - S','rseau mtier (=club mtier)',''",
"'Thmes nationaux P - S','relations internationales',''",
"'Thmes nationaux P - S','rgles de conduite-sanctions',''",
"'Thmes nationaux P - S','rforme de l\'Etat',''",
"'Thmes nationaux P - S','projet routier',''",
"'Thmes nationaux P - S','programme de recherche',''",
"'Thmes nationaux P - S','prvention',''",
"'Thmes nationaux P - S','pollution',''",
"'Thmes nationaux P - S','politique de recherche',''",
"'Thmes nationaux P - S','planification',''",
"'Thmes nationaux P - S','paysage',''",
"'Thmes nationaux P - S','patrimoine',''",
"'Thmes nationaux G - O','organisation des services',''",
"'Thmes nationaux G - O','orientation stratgique',''",
"'Thmes nationaux G - O','offre de transport',''",
"'Thmes nationaux G - O','nuisance',''",
"'Thmes nationaux G - O','normalisation',''",
"'Thmes nationaux G - O','navigation de plaisance',''",
"'Thmes nationaux G - O','navigation arienne',''",
"'Thmes nationaux G - O','nature',''",
"'Thmes nationaux G - O','moyens de fonctionnement',''",
"'Thmes nationaux G - O','montagne(=amnagement de la montagne)',''",
"'Thmes nationaux G - O','modernisation ',''",
"'Thmes nationaux G - O','mobilit (=dplacements)',''",
"'Thmes nationaux G - O','mobilit',''",
"'Thmes nationaux G - O','ministre de l\'quipement',''",
"'Thmes nationaux G - O','marchandises dangereuses',''",
"'Thmes nationaux G - O','matrise d\'ouvrage publique',''",
"'Thmes nationaux G - O','LOLF',''",
"'Thmes nationaux G - O','loi littoral',''",
"'Thmes nationaux G - O','logement',''",
"'Thmes nationaux G - O','littoral',''",
"'Thmes nationaux G - O','juridique',''",
"'Thmes nationaux G - O','jumelage',''",
"'Thmes nationaux G - O','institution communautaire',''",
"'Thmes nationaux G - O','inspection',''",
"'Thmes nationaux G - O','infrastructure aronautique',''",
"'Thmes nationaux G - O','informatique',''",
"'Thmes nationaux G - O','information aronautique',''",
"'Thmes nationaux G - O','industrie aronautique',''",
"'Thmes nationaux G - O','indice du cot de la construction',''",
"'Thmes nationaux G - O','homologation',''",
"'Thmes nationaux G - O','GRH',''",
"'Thmes nationaux G - O','gestion professionnelle',''",
"'Thmes nationaux G - O','gestion budgtaire',''",
"'Thmes nationaux D - F','formation',''",
"'Thmes nationaux D - F','flotte de commerce',''",
"'Thmes nationaux D - F','flore',''",
"'Thmes nationaux D - F','finances publiques',''",
"'Thmes nationaux D - F','financement du logement',''",
"'Thmes nationaux D - F','financement',''",
"'Thmes nationaux D - F','faune',''",
"'Thmes nationaux D - F','exploitation de la route',''",
"'Thmes nationaux D - F','europe',''",
"'Thmes nationaux D - F','tudes',''",
"'Thmes nationaux D - F','espace urbain',''",
"'Thmes nationaux D - F','espace rural',''",
"'Thmes nationaux D - F','quipement de la voirie',''",
"'Thmes nationaux D - F','environnement aroportuaire',''",
"'Thmes nationaux D - F','entretien routier',''",
"'Thmes nationaux D - F','enseignement de la conduite(=formation  la conduite)',''",
"'Thmes nationaux D - F','enqute publique',''",
"'Thmes nationaux D - F','enqute',''",
"'Thmes nationaux D - F','emploi (=march de l\'emploi)',''",
"'Thmes nationaux D - F','effectif',''",
"'Thmes nationaux D - F','ducation routire',''",
"'Thmes nationaux D - F','cole',''",
"'Thmes nationaux D - F','dure du travail ',''",
"'Thmes nationaux D - F','DUP ',''",
"'Thmes nationaux D - F','droit communautaire',''",
"'Thmes nationaux D - F','droit de l\'urbanisme',''",
"'Thmes nationaux D - F','domaine public maritime',''",
"'Thmes nationaux D - F','documentation ',''",
"'Thmes nationaux D - F','doctrine',''",
"'Thmes nationaux D - F','dontologie (=droits et obligations)',''",
"'Thmes nationaux D - F','Dfense',''",
"'Thmes nationaux D - F','dchets',''",
"'Thmes nationaux D - F','dcentralisation',''",
"'Thmes nationaux D - F','dbat public',''",
"'Thmes nationaux D - F','DDE',''",
"'Thmes nationaux A - C','coopration',''",
"'Thmes nationaux A - C','contrle arien',''",
"'Thmes nationaux A - C','construction',''",
"'Thmes nationaux A - C','concurrence',''",
"'Thmes nationaux A - C','concours',''",
"'Thmes nationaux A - C','comptabilit',''",
"'Thmes nationaux A - C','comportement de l\'usager',''",
"'Thmes nationaux A - C','communication',''",
"'Thmes nationaux A - C','collectivit locale',''",
"'Thmes nationaux A - C','circulation (=trafic routier)',''",
"'Thmes nationaux A - C','CIFP',''",
"'Thmes nationaux A - C','caractristiques du vhicule',''",
"'Thmes nationaux A - C','budget',''",
"'Thmes nationaux A - C','bruit',''",
"'Thmes nationaux A - C','btiment - travaux publics (=BTP)',''",
"'Thmes nationaux A - C','barrage',''",
"'Thmes nationaux A - C','autoroute',''",
"'Thmes nationaux A - C','automobile(=voiture)',''",
"'Thmes nationaux A - C','amnagement rural',''",
"'Thmes nationaux A - C','amnagement rgional',''",
"'Thmes nationaux T - Z','transport fluvial',''",
"'Thmes nationaux T - Z','transport guid',''",
"'Thmes nationaux T - Z','transport individuel',''",
"'Thmes nationaux T - Z','transport intelligent',''",
"'Thmes nationaux T - Z','transport intermodal (= transport multimodal)',''",
"'Thmes nationaux T - Z','transport international',''",
"'Thmes nationaux T - Z','transport maritime',''",
"'Thmes nationaux T - Z','transport routier',''",
"'Thmes nationaux T - Z','transport scolaire=transport d\'enfants',''",
"'Thmes nationaux T - Z','transport terrestre',''",
"'Thmes nationaux T - Z','transports pour la dfense',''",
"'Thmes nationaux T - Z','union europenne',''",
"'Thmes nationaux T - Z','usager de la route',''",
"'Thmes nationaux T - Z','vhicule',''",
"'Thmes nationaux T - Z','viabilit hivernale',''",
"'Thmes nationaux T - Z','vigilance (=attention)',''",
"'Thmes nationaux T - Z','ville',''",
"'Thmes nationaux T - Z','vitesse',''",
"'Thmes nationaux T - Z','voirie',''",
"'Domaines d\'activit nationaux','Administration',''",
"'Domaines d\'activit nationaux','Amnagement',''",
"'Domaines d\'activit nationaux','Aviation civile',''",
"'Domaines d\'activit nationaux','Cadre institutionnel',''",
"'Domaines d\'activit nationaux','Economie',''",
"'Domaines d\'activit nationaux','Environnement',''",
"'Domaines d\'activit nationaux','Habitat',''",
"'Domaines d\'activit nationaux','International',''",
"'Domaines d\'activit nationaux','Mer-Ports',''",
"'Domaines d\'activit nationaux','Recherche-Innovation',''",
"'Domaines d\'activit nationaux','Ressources Humaines',''",
"'Domaines d\'activit nationaux','Routes-Ouvrages d\'art',''",
"'Domaines d\'activit nationaux','Scurit civile-Dfense',''",
"'Domaines d\'activit nationaux','Scurit Routire',''",
"'Domaines d\'activit nationaux','Tourisme',''",
"'Domaines d\'activit nationaux','Transports',''",
"'Domaines d\'activit nationaux','Urbanisme',''",
"'Thmes nationaux T - Z','transport arien',''");
}




// Remplir les mots cls nationaux et techniques
function ci_remplir_mots_cles() {
	$citab_groupe_mot_tech=citab_groupe_mot_tech();
	$citab_groupe_mot_nat=citab_groupe_mot_nat();
	$citab_mot_tech=citab_mot_tech();
	$citab_mot_nat=citab_mot_nat();
	spip_log("ci_remplir_mots_cles");

		// Prvention des doublons : tester si un groupe existe dj
		$result = spip_query('SELECT * FROM spip_groupes_mots WHERE titre="_forme_article"');
		if ($row = spip_fetch_array($result)) {
			$id_groupe = $row['id_groupe'];
			
		} else {

			
				// Pre-remplissage des groupes de mots cls techniques
				$query = "INSERT IGNORE spip_groupes_mots (id_groupe, titre, unseul, obligatoire, articles, breves, rubriques, syndic, minirezo, comite, forum, maj) VALUES ";
				$ciflag0=false;
				while (list($cle, $val) = each($citab_groupe_mot_tech)) {
					$query.="('','".$cle."',".$val.",20061011114723), ";
					$ciflag0=true;
				}
				if ($ciflag0) {
					$query = substr($query,0,-2).";";
					spip_query($query);				
				}
					
	
				// Pre-remplissage des mots cls techniques
				$citab_idgroupe=array();	
				$result = spip_query('SELECT * FROM spip_groupes_mots');
				while ($row = spip_fetch_array($result)) {
					$citab_idgroupe[$row['titre']] = $row['id_groupe'];
				}					
				$query = "INSERT IGNORE spip_mots (id_mot, type, titre, descriptif, texte, id_groupe, maj) VALUES ";
				$ciflag1=false;
				if (is_array($citab_mot_tech)) {
					while (list(, $val) = each($citab_mot_tech)) {
						$cirow = explode(',',$val);
						$cititregroupe=substr($cirow[0],1,-1);
						if (isset($citab_idgroupe[$cititregroupe])) {
							$query.="('',".$val.",'',".$citab_idgroupe[$cititregroupe].",20061011114723), ";
							$ciflag1=true;
						}
					}
				}
				if ($ciflag1) {
					$query = substr($query,0,-2).";";
					spip_query($query);				
				}
							
					
					
					
					
			if (defined('_CI_MOTCLE_NAT')) {

				// Pre-remplissage des groupes de mots cls nationaux
				$query = "INSERT IGNORE spip_groupes_mots (id_groupe, titre, unseul, obligatoire, articles, breves, rubriques, syndic, minirezo, comite, forum, maj) VALUES ";
				$ciflag0=false;
				while (list($cle, $val) = each($citab_groupe_mot_nat)) {
					$query.="('','".$cle."',".$val.",20061011114723), ";
					$ciflag0=true;
				}
				if ($ciflag0) {
					$query = substr($query,0,-2).";";
					spip_query($query);				
				}
	
					
				// Pre-remplissage des mots cls nationaux
				$ci_tab_idgroupenat=array();	
				$result = spip_query('SELECT * FROM spip_groupes_mots');
				while ($row = spip_fetch_array($result)) {
					$ci_tab_idgroupenat[$row['titre']] = $row['id_groupe'];
				}					
				$query = "INSERT IGNORE spip_mots (id_mot, type, titre, descriptif, texte, id_groupe, maj) VALUES ";
				$ciflag1=false;
				while (list(, $val) = each($citab_mot_nat)) {
					$cirow = explode(',',$val);
					$cititregroupe=substr($cirow[0],1,-1);
					if (isset($ci_tab_idgroupenat[$cititregroupe])) {
						$query.="('',".$val.",'',".$ci_tab_idgroupenat[$cititregroupe].",20061011114723), ";
						$ciflag1=true;
					}
				}
				if ($ciflag1) {
					$query = substr($query,0,-2).";";
					spip_query($query);				
				}
				
				
			}
		}

//--------- Fin ajout CI ---------------------

}

?>