<?php

/***************************************************************************\
 *  SPIP, Systeme de publication pour l'internet                           *
 *                                                                         *
 *  Copyright (c) 2001-2005                                                *
 *  Arnaud Martin, Antoine Pitrou, Philippe Riviere, Emmanuel Saint-James  *
 *                                                                         *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
 *  Pour plus de details voir le fichier COPYING.txt ou l'aide en ligne.   *
\***************************************************************************/


include ("inc.php3");
//------Debut ajout CI ------------
include_ecrire ("inc_logos.php3");
//------Fin ajout CI ------------

if ($connect_statut != '0minirezo' OR !$connect_toutes_rubriques) {
	echo _T('avis_non_acces_page');
	fin_page();
	exit;
}


//
// Modifications
//

include_ecrire ("inc_config.php3");
init_config();
if ($changer_config == 'oui') {
	appliquer_modifs_config();
}
else {
	$forums_publics = lire_meta("forums_publics");
	if (!$forums_publics) {
		ecrire_meta("forums_publics", "posteriori");
		ecrire_metas();
	}
}

lire_metas();


debut_page(_T('titre_page_configuration'), "administration", "configuration");

echo "<br><br><br>";
gros_titre(_T('titre_configuration'));
barre_onglets("configuration", "contenu");


debut_gauche();

debut_droite();

avertissement_config();

//
// Afficher les options de config
//

echo "<form action='configuration.php3' method='post'>";
echo "<input type='hidden' name='changer_config' value='oui'>";
debut_cadre_couleur("racine-site-24.gif");

	$nom_site = entites_html(lire_meta("nom_site"));
	$adresse_site = entites_html(lire_meta("adresse_site"));
	$email_webmaster = entites_html(lire_meta("email_webmaster"));

	debut_cadre_relief("", false, "", _T('info_nom_site').aide ("confnom"));
	echo "<input type='text' name='nom_site' value=\"$nom_site\" size='40' CLASS='forml'>";
	fin_cadre_relief();

	debut_cadre_relief("", false, "", _T('info_adresse_url'));
//---------- Debut ajout CI (paramtrage par fichier) --------
//	echo "<input type='text' name='adresse_site' value=\"$adresse_site/\" size='40' CLASS='forml'>";

	// s'il existe un fichier de paramtrage d'adresse avec un contenu diffrent de la valeur par dfaut ou bien si on est en multisites, alors lecture seule	
	if (cilire_config("ciadressesite")!="" OR cilire_config("cimultisites")=="oui") {
		echo "<div class='verdana2'>".cilire_config("ciadressesite")."</div>";
	} else {			
	// sinon fonctionnement inchang
		echo "<input type='text' name='adresse_site' value=\"$adresse_site/\" size='40' CLASS='forml'>";
	}	
//---------- Fin ajout CI--------			
	fin_cadre_relief();

	if ($options == "avancees") {
		echo "<div>&nbsp;</div>";
	
		debut_cadre_relief("", false, "", _T('info_email_webmestre'));
		echo "<input type='text' name='email_webmaster' value=\"$email_webmaster\" size='40' CLASS='formo'>";
		fin_cadre_relief();
	}

	echo "<div style='text-align:right;'><input type='submit' name='Valider' value='"._T('bouton_enregistrer')."' CLASS='fondo'></div>";

fin_cadre_couleur();

echo "<p>&nbsp;<p>";


//
// Options des articles
//

if ($options == 'avancees') {
	debut_cadre_trait_couleur("article-24.gif", false, "", _T('titre_les_articles'));


	//
	// Champs optionnels des articles
	//

	debut_cadre_relief("", false, "", _T('info_contenu_articles').aide ("confart"));

	$articles_surtitre = lire_meta("articles_surtitre");
	$articles_soustitre = lire_meta("articles_soustitre");
	$articles_descriptif = lire_meta("articles_descriptif");
	$articles_chapeau = lire_meta("articles_chapeau");
	$articles_ps = lire_meta("articles_ps");
	$articles_redac = lire_meta("articles_redac");
	$articles_urlref = lire_meta("articles_urlref");

	echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";

	echo "<TR><TD BACKGROUND='" . _DIR_IMG_PACK . "rien.gif' COLSPAN='2' class='verdana2'>";
	echo _T('texte_contenu_articles');
	echo "</TD></TR>";

	echo "<TR>";
	echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
	echo _T('info_surtitre');
	echo "</TD>";
	echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
	afficher_choix('articles_surtitre', $articles_surtitre,
		array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
	echo "</TD></TR>\n";

	echo "<TR>";
	echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
	echo _T('info_sous_titre');
	echo "</TD>";
	echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
	afficher_choix('articles_soustitre', $articles_soustitre,
		array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
	echo "</TD></TR>\n";

	echo "<TR>";
	echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
	echo _T('info_descriptif');
	echo "</TD>";
	echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
	afficher_choix('articles_descriptif', $articles_descriptif,
		array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
	echo "</TD></TR>\n";

	echo "<TR>";
	echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
	echo _T('info_chapeau_2');
	echo "</TD>";
	echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
	afficher_choix('articles_chapeau', $articles_chapeau,
		array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
	echo "</TD></TR>\n";

	echo "<TR>";
	echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
	echo _T('info_post_scriptum_2');
	echo "</TD>";
	echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
	afficher_choix('articles_ps', $articles_ps,
		array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
	echo "</TD></TR>\n";

	echo "<TR>";
	echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
	echo _T('info_date_publication_anterieure');
	echo "</TD>";
	echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
	afficher_choix('articles_redac', $articles_redac,
		array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
	echo "</TD></TR>\n";

	echo "<TR>";
	echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
	echo _T('info_urlref');
	echo "</TD>";
	echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
	afficher_choix('articles_urlref', $articles_urlref,
		array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
	echo "</TD></TR>\n";

	echo "<TR><TD style='text-align: $spip_lang_right;' COLSPAN=2>";
	echo "<INPUT TYPE='submit' NAME='Valider' VALUE='"._T('bouton_valider')."' CLASS='fondo'>";
	echo "</TD></TR>";
	echo "</TABLE>";

	fin_cadre_relief();

	//
	// Articles post-dates
	//

	debut_cadre_relief("", false, "", _T('titre_publication_articles_post_dates').aide ("confdates"));

	$post_dates = lire_meta("post_dates");

	echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
	echo "<TR><TD class='verdana2'>";
	echo _T('texte_publication_articles_post_dates');
	echo "</TD></TR>";

	echo "<TR><TD ALIGN='$spip_lang_left' class='verdana2'>";
	afficher_choix('post_dates', $post_dates,
		array('oui' => _T('item_publier_articles'),
			'non' => _T('item_non_publier_articles')));
	echo "</TD></TR>\n";

	echo "<TR><td style='text-align:$spip_lang_right;'>";
	echo "<INPUT TYPE='submit' NAME='Valider' VALUE='"._T('bouton_valider')."' CLASS='fondo'>";
	echo "</TD></TR>";
	echo "</TABLE>\n";

	fin_cadre_relief();

	fin_cadre_trait_couleur();
}



echo "<p>";


//
// Actives/desactiver les breves
//

debut_cadre_trait_couleur("breve-24.gif", false, "", _T('titre_breves').aide ("confbreves"));

$activer_breves = lire_meta("activer_breves");

echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
echo "<TR><TD class='verdana2'>";
echo _T('texte_breves')."<p>";
echo _T('info_breves');
echo "</TD></TR>";

echo "<TR><TD align='center' class='verdana2'>";
afficher_choix('activer_breves', $activer_breves,
	array('oui' => _T('item_utiliser_breves'),
		'non' => _T('item_non_utiliser_breves')), " &nbsp; ");
echo "</FONT>";
echo "</TD></TR>\n";

echo "<TR><td style='text-align:$spip_lang_right;'>";
echo "<INPUT TYPE='submit' NAME='Valider' VALUE='"._T('bouton_valider')."' CLASS='fondo'>";
echo "</TD></TR>";
echo "</TABLE>\n";

fin_cadre_trait_couleur();

echo "<p>";


//
// Gestion des mots-cles
//

if ($options == "avancees") {

	debut_cadre_trait_couleur("mot-cle-24.gif", false, "", _T('info_mots_cles'));

	$articles_mots = lire_meta("articles_mots");
	$config_precise_groupes = lire_meta("config_precise_groupes");
	$mots_cles_forums = lire_meta("mots_cles_forums");
	$forums_publics = lire_meta("forums_publics");

	echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
	echo "<TR><TD class='verdana2'>";
	echo _T('texte_mots_cles')."<p>";
	echo _T('info_question_mots_cles');
	echo "</TD></TR>";

	echo "<TR>";
	echo "<TD align='center' class='verdana2'>";


		echo bouton_radio("articles_mots", "oui", _T('item_utiliser_mots_cles'), $articles_mots == "oui", "changeVisible(this.checked, 'mots-config', 'block', 'none');");
		echo " &nbsp;";
		echo bouton_radio("articles_mots", "non", _T('item_non_utiliser_mots_cles'), $articles_mots == "non", "changeVisible(this.checked, 'mots-config', 'none', 'block');");


//	afficher_choix('articles_mots', $articles_mots,
//		array('oui' => _T('item_utiliser_mots_cles'),
//			'non' => _T('item_non_utiliser_mots_cles')), "<br />");
	echo "</TD></TR></table>";

	if ($articles_mots != "non") $style = "display: block;";
	else $style = "display: none;";
	
		echo "<div id='mots-config' style='$style'>";
		
		echo "<p />";
		debut_cadre_relief("", false, "", _T('titre_config_groupe_mots_cles'));

		echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
		echo "<TR><TD class='verdana2'>";
		echo _T('texte_config_groupe_mots_cles');
		echo "</TD></TR>";

		echo "<TR>";
		echo "<TD ALIGN='$spip_lang_left' class='verdana2'>";
		afficher_choix('config_precise_groupes', $config_precise_groupes,
			array('oui' => _T('item_utiliser_config_groupe_mots_cles'),
				'non' => _T('item_non_utiliser_config_groupe_mots_cles')));
		echo "</TD></TR></table>";
		fin_cadre_relief();

		if ($forums_publics != "non"){
			echo "<p />";
			debut_cadre_relief("", false, "", _T('titre_mots_cles_dans_forum'));
			echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
			echo "<TR><TD class='verdana2'>";
			echo _T('texte_mots_cles_dans_forum');
			echo "</TD></TR>";

			echo "<TR>";
			echo "<TD BACKGROUND='" . _DIR_IMG_PACK . "rien.gif' ALIGN='$spip_lang_left' class='verdana2'>";
			afficher_choix('mots_cles_forums', $mots_cles_forums,
				array('oui' => _T('item_ajout_mots_cles'),
					'non' => _T('item_non_ajout_mots_cles')));
			echo "</FONT>";
			echo "</TD></TR>";
			echo "</table>";
			fin_cadre_relief();
		}
		echo "</div>";
	

	echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
	echo "<TR><td style='text-align:$spip_lang_right;'>";
	echo "<INPUT TYPE='submit' NAME='Valider' VALUE='"._T('bouton_valider')."' CLASS='fondo'>";
	echo "</TD></TR>";
	echo "</TABLE>\n";

	fin_cadre_trait_couleur();

	echo "<p>";
}


//
// Actives/desactiver systeme de syndication
//

debut_cadre_trait_couleur("site-24.gif", false, "", _T('titre_referencement_sites').aide ("reference"));

$activer_sites = lire_meta('activer_sites');
$activer_syndic = lire_meta("activer_syndic");
$proposer_sites = lire_meta("proposer_sites");
$visiter_sites = lire_meta("visiter_sites");
$moderation_sites = lire_meta("moderation_sites");

echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";

echo "<TR><TD BACKGROUND='" . _DIR_IMG_PACK . "rien.gif' ALIGN='$spip_lang_left' class='verdana2'>";

		echo bouton_radio("activer_sites", "oui", _T('item_gerer_annuaire_site_web'), $activer_sites == "oui", "changeVisible(this.checked, 'config-site', 'block', 'none');");
		echo " &nbsp;";
		echo bouton_radio("activer_sites", "non", _T('item_non_gerer_annuaire_site_web'), $activer_sites == "non", "changeVisible(this.checked, 'config-site', 'none', 'block');");

echo "</TD></TR></table>\n";



if ($activer_sites != 'non') $style = "display: block;";
else $style = "display: none;";

	echo "<div id='config-site' style='$style'>";
	
	// Utilisateurs autorises a proposer des sites references
	//
		echo "<p />";
		debut_cadre_relief();
		echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
		echo "<TR><TD BACKGROUND='" . _DIR_IMG_PACK . "rien.gif'>";
		echo "<FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=2 COLOR='#000000'>";
		echo _T('info_question_proposer_site');
			echo "<center><SELECT NAME='proposer_sites' CLASS='fondo' SIZE=1>\n";
				echo "<OPTION".mySel('0',$proposer_sites).">"._T('item_choix_administrateurs')."\n";
				echo "<OPTION".mySel('1',$proposer_sites).">"._T('item_choix_redacteurs')."\n";
				echo "<OPTION".mySel('2',$proposer_sites).">"._T('item_choix_visiteurs')."\n";
			echo "</SELECT></center><P>\n";
		echo "</FONT>";
		echo "</TD></TR></table>";
		fin_cadre_relief();


	if ($options == "avancees") {
		debut_cadre_relief("", false, "", _T('titre_syndication').aide ("rubsyn"));
	
		echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
		//
		// Reglage de la syndication
		//
		echo "<TR><TD BACKGROUND='" . _DIR_IMG_PACK . "rien.gif' class='verdana2'>";
		echo _T('texte_syndication');
		echo "</TD></TR>";
	
		echo "<TR><TD BACKGROUND='" . _DIR_IMG_PACK . "rien.gif' ALIGN='$spip_lang_left' class='verdana2'>";

			echo bouton_radio("activer_syndic", "oui", _T('item_utiliser_syndication'), $activer_syndic == "oui", "changeVisible(this.checked, 'config-syndic', 'block', 'none');");
			echo "<br />";
			echo bouton_radio("activer_syndic", "non", _T('item_non_utiliser_syndication'), $activer_syndic == "non", "changeVisible(this.checked, 'config-syndic', 'none', 'block');");



	
		if ($activer_syndic != "non") $style = "display: block;";
		else $style = "display: none;";
			
			echo "<div id='config-syndic' style='$style'>";
		
			// Moderation par defaut des sites syndiques
			echo "<p><hr><p align='$spip_lang_left'>";
			echo _T('texte_liens_sites_syndiques')."<p>";
	
			afficher_choix('moderation_sites', $moderation_sites,
				array('oui' => _T('item_bloquer_liens_syndiques'),
				'non' => _T('item_non_bloquer_liens_syndiques')));
	
			// Si indexation, activer/desactiver pages recuperees
	
			$activer_moteur = lire_meta("activer_moteur");
			if ($activer_moteur == "oui") {
				echo "<p><hr><p align='$spip_lang_left'>";
				echo _T('texte_utilisation_moteur_syndiques')." ";
				echo "<blockquote><i>"._T('texte_utilisation_moteur_syndiques_2')."</i></blockquote><p>";
	
				afficher_choix('visiter_sites', $visiter_sites,
					array('non' => _T('item_limiter_recherche'),
						'oui' => _T('item_non_limiter_recherche')));
			}
			echo "</div>";
		
		echo "</TD></TR>\n";
	
		echo "</TABLE>\n";
	
		fin_cadre_relief();
	}
	echo "</div>";



echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
echo "<TR><td style='text-align:$spip_lang_right;'>";
echo "<INPUT TYPE='submit' NAME='Valider' VALUE='"._T('bouton_valider')."' CLASS='fondo'>";
echo "</TD></TR>";
echo "</TABLE>\n";

fin_cadre_trait_couleur();

echo "<p>";


//
// Gestion des documents joints
//

debut_cadre_trait_couleur("doc-24.gif", false, "", _T('titre_documents_joints'));

$documents_rubrique = lire_meta("documents_rubrique");
$documents_article = lire_meta("documents_article");

echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";

echo "<TR><TD class='verdana2'>";
echo _T('texte_documents_joints');
echo _T('texte_documents_joints_2');
echo "</TD></TR>";

echo "<TR>";
echo "<TD align='$spip_lang_left' class='verdana2'>";
afficher_choix('documents_article', $documents_article,
	array('oui' => _T('item_autoriser_documents_joints'),
		'non' => _T('item_non_autoriser_documents_joints')), "<br>");
echo "<br><br>\n";
afficher_choix('documents_rubrique', $documents_rubrique,
	array('oui' => _T('item_autoriser_documents_joints_rubriques'),
		'non' => _T('item_non_autoriser_documents_joints_rubriques')), "<br>");
echo "</FONT>";
echo "</TD></TR>";

echo "<TR><td style='text-align:$spip_lang_right;'>";
echo "<INPUT TYPE='submit' NAME='Valider' VALUE='"._T('bouton_valider')."' CLASS='fondo'>";
echo "</TD></TR>";
echo "</TABLE>\n";

fin_cadre_trait_couleur();

echo "<p>";


//---------- Debut ajout CI-----------------------
//specifique ministere

	
	$meta_campagne_gouv = lire_meta("equip_campagne_gouv");
	$equip_campagne_gouv="non";
	if ($meta_campagne_gouv) {	
		if ($meta_campagne_gouv=="oui") {	
			$equip_campagne_gouv="oui";
		}
	}
	$equip_motcle_accueil = lire_meta("equip_motcle_accueil");	
	$equip_nom_bandeau = lire_meta("equip_nom_bandeau");	
	$equip_abonnement_xiti = lire_meta("equip_abonnement_xiti");	
	$equip_nbactu = lire_meta("equip_nbactu");
	$equip_css = lire_meta("equip_css");
        if (substr($equip_css, 0, 4)=='_css'){
            $equip_css_sans_chemin = substr($equip_css, 5);
        }   	
	$equip_menu_niveau = lire_meta("equip_menu_niveau");	
	$equip_droite_article = lire_meta("equip_droite_article");	
	$equip_gauche_article = lire_meta("equip_gauche_article");	
	$equip_droite_rubrique = lire_meta("equip_droite_rubrique");	
	$equip_gauche_rubrique = lire_meta("equip_gauche_rubrique");	
	$equip_sommaire = lire_meta("equip_sommaire");	
	$equip_haut = lire_meta("equip_haut");	
	$equip_telecommande = lire_meta("equip_telecommande");	

	// (convergence)
	$cifeuille ="style_site_intra";
	$cifiltrecss="";
	if (cilire_config('citypesite')=="inter") {
		$cifeuille ="style_site_inter";
	}
	if (cilire_config('cibandeau') AND strlen(trim(cilire_config('cibandeau')))>0) {
		if (cilire_config('cibandeau')=="anonyme" OR cilire_config('cibandeau')=="extranet") {
			// compatibilit ascendante
			$cifeuille .= substr(cilire_config('cibandeau'),0,3);
		} else {
			$cifeuille .= cilire_config('cibandeau');			
		}
	} else {
		if (defined('_CI_FILTRE_CSS_SEN')) {
			$cifiltrecss = explode(" ",_CI_FILTRE_CSS_SEN);
		}	
	}

	
	debut_cadre_trait_couleur("racine-24.gif", false, "", _T('titre_equip'));
	
	echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";

	echo "<TR><TD class='verdana2'>";
	echo _T('texte_equip_motcle_accueil');	
	echo "</TD></TR>";
	
	echo "<TR><TD BACKGROUND='img_pack/rien.gif' class='verdana2'>";
	echo "<input type='text' name='equip_motcle_accueil' value=\"$equip_motcle_accueil\" size='40' maxlength='255' CLASS='formo'><br>";
	echo "</TD></TR>";
		
	echo "<TR><TD class='verdana2'>";
	echo _T('texte_equip_nom_bandeau');	
	echo "</TD></TR>";
	
	echo "<TR><TD BACKGROUND='img_pack/rien.gif' class='verdana2'>";
	echo "<input type='text' name='equip_nom_bandeau' value=\"$equip_nom_bandeau\" size='40' CLASS='formo'><br>";
	echo "</TD></TR>";

//---------- Debut ajout CI (paramtrage par fichier) --------
			echo "<TR><TD class='verdana2'>";
			echo _T('texte_equip_abonnement_xiti');	
			echo "</TD></TR>";
		// s'il existe un fichier de paramtrage xiti avec un contenu diffrent de la valeur par dfaut, alors lecture seule	
		if (cilire_config('cixiti')!="" AND !ereg("^_images",cilire_config('cixiti'))) {
			echo "<TR><TD BACKGROUND='img_pack/rien.gif' class='verdana2'>";
			echo cilire_config("cixiti");
			echo "</TD></TR>";
			echo "<TR><TD>&nbsp;</TD></TR>";
		} else {			
		// sinon fonctionnement inchang
			echo "<TR><TD BACKGROUND='img_pack/rien.gif' class='verdana2'>";
			echo "<input type='text' name='equip_abonnement_xiti' value=\"$equip_abonnement_xiti\" size='40' CLASS='formo'><p>&nbsp;";
			echo "</TD></TR>";
		}	

		// campagnes gouvernementales
	if (cilire_config("citypesite")=="inter") {
		echo "<TR><TD><TABLE>";
		echo "<TR>";
		echo "<TD ALIGN='$spip_lang_left' class='verdana2' width='75%'>";
		echo _T('info_campagne_gouv');
		echo "</TD>";
		echo "<TD ALIGN='$spip_lang_left' class='verdana2' width='25%'>";
		afficher_choix('equip_campagne_gouv', $equip_campagne_gouv,
			array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
		echo "</TD></TR>";
		echo "</TABLE></TD></TR>";
		echo "<TR><TD>&nbsp;</TD></TR>";
	}
//---------- Fin ajout CI--------


	echo "<TR><TD class='verdana2'>";
	echo _T('texte_equip_nbactu');	
	echo "</TD></TR>";
	
	echo "<TR><TD BACKGROUND='img_pack/rien.gif' class='verdana2'>";
	echo "<input type='text' name='equip_nbactu' value=\"$equip_nbactu\" size='40' CLASS='formo'><br>";
	echo "</TD></TR>";


    
    //------ Debut ajout CI (cssperso)------------
    $cicheminfichier = ci_chemin_perso("perso_style_site")."perso_style_site.css";
    if (cilire_config('cicssperso')=="oui" AND file_exists($cicheminfichier)) { 
	    echo "<TR><TD ALIGN='$spip_lang_left' class='verdana2'>";
	    echo _T('info_equip_css');
	    echo " :  feuille de style personnalise (voir en bas de page)";
	    echo "</TD></TR>";
    } else {			
	    //---------- Fin ajout CI--------			
	    //---------- Debut ajout CI (paramtrage par fichier) --------
	    // s'il existe un fichier de paramtrage css avec un contenu diffrent de la valeur par dfaut, alors lecture seule	
	    if (cilire_config("cicss")!="") {
		    echo "<TR><TD ALIGN='$spip_lang_left' class='verdana2'>";
		    echo _T('info_equip_css');
		    echo " :  ".cilire_config("cicss");
		    echo "</TD></TR>";
	    } else {
	    //---------- Fin ajout CI--------			
		    // sinon fonctionnement inchang
		    echo "<TR><TD class='verdana2'>";
		    echo _T('texte_equip_css');
		    echo "</TD></TR>";
		    echo "<TR><TD ALIGN='$spip_lang_left' class='verdana2'>";
		    echo _T('info_equip_css');
		    echo "\n<select name='equip_css' class='fondl'>\n";
		    echo "<option value='$equip_css' selected>".$equip_css_sans_chemin."</option>\n";
		
		    $equipnomRepertoire = "../_css";
		    $equipdossier = opendir($equipnomRepertoire);
		    $cilenfeuille=strlen($cifeuille);
		    while ($equipFichier = readdir($equipdossier)) {
		      if (substr($equipFichier, 0, $cilenfeuille)==$cifeuille && $equipFichier != $equip_css_sans_chemin) {
		      		$cifiltre = false;
		      		if ($cifiltrecss) {
						$cipos = strpos($equipFichier, "style_site_") + 11;
						$ciextrait = substr($equipFichier,$cipos);
						$cipos2 = strpos($ciextrait,"_");
						if (!$cipos2) $cipos2 = strpos($ciextrait,".");
		      			if (in_array(substr($ciextrait,0,$cipos2), $cifiltrecss)) {
				      		$cifiltre = true;
		      			}
		      		}
		      		if (!$cifiltre) {
			            $equipFichier_avec_chemin = "_css/".$equipFichier;
			    		echo "<option value='$equipFichier_avec_chemin'>".$equipFichier."</option>\n";
		      		}
		      }
		    }
		    closedir($equipdossier);
		    echo "</select><br>\n";
		    echo "</TD></TR>";
	   }		    
    }
//---------- Fin ajout CI--------			

    
    
    
    
    
    echo "<TR><TD>&nbsp;";
    echo "</TD></TR>";

    echo "<TR><TD class='verdana2'>";
    echo _T('texte_equip_menu_niveau');
    echo "</TD></TR>";

    echo "<TR><TD ALIGN='$spip_lang_left' class='verdana2'>";
    echo _T('info_equip_menu_niveau');
    echo "\n<select name='equip_menu_niveau' class='fondl'>\n";

    switch ($equip_menu_niveau) {
        case "1":
        	echo "<option value='1' selected>menu avec 1 niveau</option>\n";
        	echo "<option value='2'>menu avec 2 niveaux</option>\n";
        	echo "<option value='3'>menu avec 3 niveaux</option>\n";
            break;
        case "2":
        	echo "<option value='2' selected>menu avec 2 niveaux</option>\n";
        	echo "<option value='1'>menu avec 1 niveau</option>\n";
        	echo "<option value='3'>menu avec 3 niveaux</option>\n";
            break;
        case "3":
        	echo "<option value='3' selected>menu avec 3 niveaux</option>\n";
        	echo "<option value='1'>menu avec 1 niveau</option>\n";
        	echo "<option value='2'>menu avec 2 niveaux</option>\n";
            break;
        default:
        	echo "<option value='3' selected>menu avec 3 niveaux</option>\n";
        	echo "<option value='1'>menu avec 1 niveau</option>\n";
        	echo "<option value='2'>menu avec 2 niveaux</option>\n";
    }

    echo "</select><br>\n";
    echo "</TD></TR>";

    echo "<TR><TD>&nbsp;";
    echo "</TD></TR>";

    if ($cifeuille=="style_site_intra" OR $equip_haut=="fixe" OR $equip_haut=="retlig"){
	    echo "<TR><TD class='verdana2'>";
	    echo _T('texte_equip_haut');
	    echo "</TD></TR>";
	
	    echo "<TR><TD ALIGN='$spip_lang_left' class='verdana2'>";
	    echo _T('info_equip_haut');
	    echo "\n<select name='equip_haut' class='fondl'>\n";
	
	    switch ($equip_haut) {
	        case "prop":
	        	echo "<option value='prop' selected>Largeur proportionnelle aux titres</option>\n";
	        	echo "<option value='fixe'>Largeur identique pour chaque titre</option>\n";
	        	echo "<option value='retlig'>Retour  la ligne si largeur menu > largeur cran</option>\n";
	            break;
	        case "fixe":
	        	echo "<option value='fixe' selected>Largeur identique pour chaque titre</option>\n";
	        	echo "<option value='prop'>Largeur proportionnelle aux titres</option>\n";
	        	echo "<option value='retlig'>Retour  la ligne si largeur menu > largeur cran</option>\n";
	            break;
	        case "retlig":
	        	echo "<option value='retlig' selected>Retour  la ligne si largeur menu > largeur cran</option>\n";
	        	echo "<option value='prop'>Largeur proportionnelle aux titres</option>\n";
	        	echo "<option value='fixe'>Largeur identique pour chaque titre</option>\n";
	            break;
	        default:
	        	echo "<option value='prop' selected>Largeur proportionnelle aux titres</option>\n";
	        	echo "<option value='fixe'>Largeur identique pour chaque titre</option>\n";
	        	echo "<option value='retlig'>Retour  la ligne si largeur menu > largeur cran</option>\n";
	    }
	
	    echo "</select><br>\n";
	    echo "</TD></TR>";
	
	    echo "<TR><TD>&nbsp;";
	    echo "</TD></TR>";
    }

    echo "<TR><TD>&nbsp;";
    echo "</TD></TR>";
/*
	if (defined('_CI_CHOIX_TELECOMMANDE')) {
	    if (cilire_config('cibandeau')=="anonyme"){
		    echo "<TR><TD class='verdana2'>";
		    echo _T('texte_equip_telecommande');
		    echo "</TD></TR>";
		
		    echo "<TR><TD ALIGN='$spip_lang_left' class='verdana2'>";
		    echo _T('info_equip_telecommande');
		    echo "\n<select name='equip_telecommande' class='fondl'>\n";
		
		    switch ($equip_telecommande) {
		        case "DDEA":
		        	echo "<option value='DDEA' selected>DDEA</option>\n";
		        	echo "<option value='vide'>Aucune</option>\n";
		            break;
		        case "vide":
		        	echo "<option value='vide' selected>Aucune</option>\n";
		        	echo "<option value='DDEA'>DDEA</option>\n";
		            break;
		        default:
		        	echo "<option value='vide' selected>Aucune</option>\n";
		        	echo "<option value='DDEA'>DDEA</option>\n";
		    }
		
		    echo "</select><br>\n";
		    echo "</TD></TR>";
		
		    echo "<TR><TD>&nbsp;";
		    echo "</TD></TR>";
	    }
	}    
*/    
    echo "<TR><TD class='verdana2'>";
    echo _T('texte_equip_colonne');
    echo "</TD></TR>";

    echo "<TR><TD ALIGN='$spip_lang_left' class='verdana2'>";
    echo "<TABLE width='100%'><TR><TD ALIGN='$spip_lang_left' class='verdana2' width='50%'>";
    echo _T('info_equip_gauche_rubrique')." : ";
    echo "</TD>";
    echo "<TD ALIGN='$spip_lang_left' class='verdana2' width='50%'>";
    echo _T('info_equip_droite_rubrique')." : ";
    echo "</TD></TR>";

    //---------- Debut ajout CI (paramtrage par fichier) --------
    // s'il existe un fichier de paramtrage avec un contenu diffrent de la valeur par dfaut, alors lecture seule	
    if (cilire_config("cigaucherubrique")!="") {
	    echo "<TR><TD ALIGN='$spip_lang_left' class='verdana2' width='50%'>";
	    echo cilire_config("cigaucherubrique");
	    echo "</TD>";
    } else {
    //---------- Fin ajout CI--------			   
	    echo "<TR><TD ALIGN='$spip_lang_left' class='verdana2' width='50%'>";
	    echo "\n<select name='equip_gauche_rubrique' class='fondl'>\n";
	    echo "<option value='$equip_gauche_rubrique' selected>".$equip_gauche_rubrique."</option>\n";
	    $equipnomRepertoire = "../_template";
	    $equipdossier = opendir($equipnomRepertoire);
	    $equiptab1 = array();
	    while ($equipFichier = readdir($equipdossier)) {
	      if (substr($equipFichier, 0, 17)=='__gauche_rubrique' && substr($equipFichier, 18, -5) != $equip_gauche_rubrique) {
	            $equiptab1[] = substr($equipFichier, 18, -5);
	      }
	    }
	    closedir($equipdossier);
	    sort($equiptab1);
	    foreach($equiptab1 as $equipFichier_nom_court) {
	    		echo "<option value='$equipFichier_nom_court'>".$equipFichier_nom_court."</option>\n";
	    }
	    echo "</select><br>\n";
	    echo "</TD>";
    }
    echo "<TD ALIGN='$spip_lang_left' class='verdana2' width='50%'>";
    echo "\n<select name='equip_droite_rubrique' class='fondl'>\n";
    echo "<option value='$equip_droite_rubrique' selected>".$equip_droite_rubrique."</option>\n";
    $equipnomRepertoire = "../_template";
    $equipdossier = opendir($equipnomRepertoire);
    $equiptab2 = array();
    while ($equipFichier = readdir($equipdossier)) {
      if (substr($equipFichier, 0, 17)=='__droite_rubrique' && substr($equipFichier, 18, -5) != $equip_droite_rubrique) {
            $equiptab2[] = substr($equipFichier, 18, -5);
      }
    }
    closedir($equipdossier);
    sort($equiptab2);
    foreach($equiptab2 as $equipFichier_nom_court) {
    		echo "<option value='$equipFichier_nom_court'>".$equipFichier_nom_court."</option>\n";
    }
    echo "</select><br>\n";
    echo "</TD></TR>";


    echo "<TR><TD ALIGN='$spip_lang_left' class='verdana2' width='50%'>";
    echo _T('info_equip_gauche_article')." : ";
    echo "</TD>";
    echo "<TD ALIGN='$spip_lang_left' class='verdana2' width='50%'>";
    echo _T('info_equip_droite_article')." : ";
    echo "</TD></TR>";

    //---------- Debut ajout CI (paramtrage par fichier) --------
    // s'il existe un fichier de paramtrage avec un contenu diffrent de la valeur par dfaut, alors lecture seule	
    if (cilire_config("cigauchearticle")!="") {
	    echo "<TR><TD ALIGN='$spip_lang_left' class='verdana2' width='50%'>";
	    echo cilire_config("cigauchearticle");
	    echo "</TD>";
    } else {
    //---------- Fin ajout CI--------			
	    echo "<TR><TD ALIGN='$spip_lang_left' class='verdana2' width='50%'>";
	    echo "\n<select name='equip_gauche_article' class='fondl'>\n";
	    echo "<option value='$equip_gauche_article' selected>".$equip_gauche_article."</option>\n";
	    $equipnomRepertoire = "../_template";
	    $equipdossier = opendir($equipnomRepertoire);
	    $equiptab3 = array();
	    while ($equipFichier = readdir($equipdossier)) {
	      if (substr($equipFichier, 0, 16)=='__gauche_article' && substr($equipFichier, 17, -5) != $equip_gauche_article) {
	            $equiptab3[] = substr($equipFichier, 17, -5);
	      }
	    }
	    closedir($equipdossier);
	    sort($equiptab3);
	    foreach($equiptab3 as $equipFichier_nom_court) {
	    		echo "<option value='$equipFichier_nom_court'>".$equipFichier_nom_court."</option>\n";
	    }
	    echo "</select><br>\n";
	    echo "</TD>";
    }
    echo "<TD ALIGN='$spip_lang_left' class='verdana2' width='50%'>";
    echo "\n<select name='equip_droite_article' class='fondl'>\n";
    echo "<option value='$equip_droite_article' selected>".$equip_droite_article."</option>\n";
    $equipnomRepertoire = "../_template";
    $equipdossier = opendir($equipnomRepertoire);
    $equiptab4 = array();
    while ($equipFichier = readdir($equipdossier)) {
      if (substr($equipFichier, 0, 16)=='__droite_article' && substr($equipFichier, 17, -5) != $equip_droite_article) {
            $equiptab4[] = substr($equipFichier, 17, -5);
      }
    }
    closedir($equipdossier);
    sort($equiptab4);
    foreach($equiptab4 as $equipFichier_nom_court) {
    		echo "<option value='$equipFichier_nom_court'>".$equipFichier_nom_court."</option>\n";
    }
    echo "</select><br>\n";
    echo "</TD></TR>";
    echo "</TABLE></TD></TR>";

    
    echo "<TR><TD>&nbsp;";
    echo "</TD></TR>";
/*   
    echo "<TR><TD class='verdana2'>";
    echo _T('texte_equip_sommaire');
    echo "</TD></TR>";
    echo "<TR><TD class='verdana2'>";
    echo _T('info_equip_sommaire');
    
    //---------- Debut ajout CI (paramtrage par fichier) --------
    // s'il existe un fichier de paramtrage avec un contenu diffrent de la valeur par dfaut, alors lecture seule	
    if (cilire_config("cisommaire")!="") {
	    echo cilire_config("cisommaire");
    } else {
    //---------- Fin ajout CI--------
	    echo "\n<select name='equip_sommaire' class='fondl'>\n";
	    echo "<option value='$equip_sommaire' selected>accueil ".$equip_sommaire."</option>\n";
	    $equipnomRepertoire = "../_template";
	    $equipdossier = opendir($equipnomRepertoire);
	    $equiptab5 = array();
	    while ($equipFichier = readdir($equipdossier)) {
	      if (substr($equipFichier, 0, 16)=='__sommaire-'.cilire_config('citypesite') && substr($equipFichier, 17, -5) != $equip_sommaire) {
	            $equiptab5[] = substr($equipFichier, 17, -5);
	      }
	    }
	    closedir($equipdossier);
	    sort($equiptab5);
	    foreach($equiptab5 as $equipFichier_nom_court) {
	    		echo "<option value='$equipFichier_nom_court'>accueil ".$equipFichier_nom_court."</option>\n";
	    }
	    echo "</select><br>\n";
    }
    echo "</TD></TR>";
*/    
    
	echo "<TR><td style='text-align:$spip_lang_right;'>";
	echo "<INPUT TYPE='submit' NAME='Valider' VALUE='"._T('bouton_valider')."' CLASS='fondo'>";
	echo "</TD></TR>";
	echo "</TABLE>\n";   
	
	fin_cadre_trait_couleur();
	
//	echo "<p>";
//------ Fin ajout CI ------------


echo "</form>";

//------ Debut ajout CI ------------
    echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
    echo "<TR><TD>&nbsp;</TD></TR>";
    echo "<TR><TD>";
	ci_afficher_boite_bandeau();
    echo "</TD></TR>";
    echo "<TR><TD>&nbsp;</TD></TR>";
    echo "</TABLE>\n";
	
//------ Fin ajout CI ------------

//------ Debut ajout CI (cssperso)------------
    if (cilire_config('cicssperso')=="oui") { 
	    echo "<TABLE BORDER=0 CELLSPACING=1 CELLPADDING=3 WIDTH=\"100%\">";
	    echo "<TR><TD>";
		ci_afficher_boite_cssperso();
	    echo "</TD></TR>";
	    echo "<TR><TD>&nbsp;</TD></TR>";
	    echo "</TABLE>\n";
    }	
//------ Fin ajout CI ------------



fin_page();


?>
