<?php
//--------- Debut ajout CI (version CAS) -----
$ciauthcas= false;
if (file_exists("ecrire/_config_cas.php3")) {
	include_once("ecrire/_config_cas.php3");
	if ($GLOBALS['ciconfig']['cicas']=="oui") {
		$ciauthcas= true;
	}
}

if ($ciauthcas) {

	// import phpCAS lib
	include_once('CAS/CAS.php');
	include_once('ecrire/_giseh_inc_cas.php3');
	
	// phpCAS::setDebug();

	// Dterminer l'origine de l'appel (intranet, internet, ...)
	// .i2 ou .ader.gouv.fr ou .gouv.fr ou .agri
	$ciurlcas=ci_url_serveur_cas();	

	// initialize phpCAS
	$cirep='';
	if (isset($GLOBALS['ciconfig']['cicasrepertoire'])) $cirep=$GLOBALS['ciconfig']['cicasrepertoire'];
	phpCAS::client(CAS_VERSION_2_0,$ciurlcas,443,$cirep);

	if (isset($_GET['lang'])) {
		$cilangphpcas=ci_lang_phpcas($_GET['lang']);
	} else {
		$cilangphpcas='french';
	}		
	phpCAS::setLang($cilangphpcas);

	// remove version from footer 
	phpCAS::SetHTMLFooter('<hr>');
	
	// Compatibilit avec les versions rcentes de phpCAS
	if (method_exists('phpCAS','setNoCasServerValidation')) {
		phpCAS::setNoCasServerValidation();
	}

	// force CAS authentication
	phpCAS::forceAuthentication();
	
	// at this step, the user has been authenticated by the CAS server
	// and the user's login name can be read with phpCAS::getUser().
	
	// Compatibilite anciennes versions de SPIP : si un 'var_url' (cible du login)
	// est passe, renvoyer vers la meme adresse mais avec 'url'
	if (isset($_SERVER['REQUEST_URI'])
	AND strpos($_SERVER['REQUEST_URI'], 'var_url'))
		@header('Location: '.str_replace('var_url', 'url', $_SERVER['REQUEST_URI']));
	
	$ciuserid='';
	if ($ciuserid=phpCAS::getUser()) {
		$essai_login = "oui";
		include_once('spip_cookie.php3');
	}
	
} else {
//--------- Fin ajout CI ---------------------

	//--------- Debut ajout CI (login  rptition) -----
	// $fond = "login";
	$fond = "_template/__login";
	//--------- Fin ajout CI ---------------------
	$delais = 3600;
	$flag_dynamique = true;
	$flag_preserver = true;
	$forcer_lang = true;
	
	// Compatibilite anciennes versions de SPIP : si un 'var_url' (cible du login)
	// est passe, renvoyer vers la meme adresse mais avec 'url'
	if (isset($_SERVER['REQUEST_URI'])
	AND strpos($_SERVER['REQUEST_URI'], 'var_url'))
		@header('Location: '.str_replace('var_url', 'url', $_SERVER['REQUEST_URI']));
	
	// Fin compatibilite
	
	include ("inc-public.php3");

//--------- Debut ajout CI (version CAS) -----
}
//--------- Fin ajout CI ---------------------

?>