<?php

include_once("ecrire/inc_version.php3");
include_ecrire("inc_session.php3");
include_ecrire("inc_filtres.php3");
include_ecrire("inc_texte.php3");
include_ecrire('inc_connect.php3');
include_ecrire('inc_barre.php3');
include_ecrire('_giseh_inc_ari.php3');
include_ecrire('_giseh_inc_auth.php3');
include_ecrire('inc_mail.php3');
include("inc-calcul.php3");

// securite
$id_article = (int) $id_article;
$ciflag_lecture=false;

if ($HTTP_COOKIE_VARS['spip_session']) {
	// ncessaire pour inc-calcul
	if (verifier_visiteur()){
		$cilogin = $GLOBALS['auteur_session']['login'];
		$connect_statut=$GLOBALS['auteur_session']['statut'];
		$connect_id_auteur=$GLOBALS['auteur_session']['id_auteur'];		
	}
} else {
	$ciurl = urlencode($clean_link->getUrl());
	@header("Location: ./spip_login.php3?url=$ciurl");
	exit;
}


// securite
$id_article = (int) $id_article;
$ciflag_lecture=false;
$titre="";
$oldtexte="";
$auteur_modif="";
$ciflag_modif_concurrente=false;


if ($id_article) {
	// l'article est-il un wiki
    	$querym = "SELECT mots.* FROM spip_mots AS mots,spip_mots_articles AS rel_mots WHERE mots.titre<>'kawax' AND mots.id_mot=rel_mots.id_mot AND rel_mots.id_article=".$id_article." AND mots.titre='_wiki'";
	$resultm = spip_query($querym);
	if ($resultm AND spip_num_rows($resultm)>0) {
		
		// l'auteur a-t-il le droit d'accs  l'article sur le site public (protection contre les hack d'url)
		$cilisterubriques = ciaccessrubec();
		
		$query = "SELECT id_article, titre, texte,auteur_modif  FROM spip_articles WHERE id_article=$id_article AND id_rubrique NOT IN ".$cilisterubriques;
		$result = spip_query($query);
	
		if ($row = spip_fetch_array($result)) {
			$ciflag_lecture = true;
			$titre=$row['titre'];
			$oldtexte=$row['texte'];
			$auteur_modif=$row['auteur_modif'];
			if ($oldtexte){
				$oldmd5article = md5($oldtexte);
			} else {
				$oldmd5article = "vide";
			}
			// l'article a t modifi entre temps
			if ($md5_article!=$oldmd5article) $ciflag_modif_concurrente=true;		
		}
		
		// si larticle WIKI est dans un EC, il sera modifiable sur le site public selon les mmes droits daccs que dans lespace priv (interdit aux visiteurs)
	   	$querya = "SELECT id_rubrique FROM spip_articles WHERE id_article=".$id_article;
		$resulta = spip_query($querya);
		while ($row = spip_fetch_array($resulta)) $ciidrub = $row["id_rubrique"];
		
		if (ci_ari($ciidrub) OR ci_ari_heritage($ciidrub)) {
			if (ci_connect_statut($ciidrub)=='6forum') $ciflag_lecture = false;
		}	
		
	}	
}

if ($ciflag_lecture) {

	if ($ciflag_modif_concurrente) {
		$query = "SELECT * FROM spip_auteurs WHERE spip_auteurs.id_auteur=$auteur_modif";
		$result = spip_query($query);
		while ($row = spip_fetch_array($result)) {
			$loginauteur_modif = $row["login"];
		}
	
	} else {
	
	
		if ($ciflag_lecture) {
			// safehtml n'est pas compatible avec certains raccourcis de SPIP
			// $texte = safehtml($textearticle);
			$texte = $textearticle;
			
			if ($id_article AND $texte) {
				
				$query = "SELECT spip_auteurs.id_auteur FROM spip_auteurs WHERE spip_auteurs.login='$cilogin'";
				$result = spip_query($query);
				while ($row = spip_fetch_array($result)) {
					$ciauteur = $row["id_auteur"];
				}
				
				if ($ciauteur) $connect_id_auteur = $ciauteur;
				$articles_versions = (lire_meta("articles_versions")=='oui') && $flag_revisions;
	
				$champs = array('surtitre', 'titre', 'soustitre', 'descriptif', 'nom_site', 'url_site', 'chapo', 'texte', 'ps');
				$champs_version = array();
				foreach ($champs as $nom_champ) {
					$t = $champs_versions[$nom_champ] = corriger_caracteres($$nom_champ);
					$$nom_champ = addslashes($t);
				}
				
				// Stockage des versions : creer une premier version si non-existante
				if ($articles_versions) {
					include_ecrire("lab_revisions.php");
					if  ($new != 'oui') {
						$query = "SELECT id_article FROM spip_versions WHERE id_article=$id_article LIMIT 0,1";
						if (!spip_num_rows(spip_query($query))) {
							spip_log("version initiale de l'article $id_article");
							$select = join(", ", $champs);
							$query = "SELECT $select FROM spip_articles WHERE id_article=$id_article";
							$champs_originaux = spip_fetch_array(spip_query($query));
							$id_version = ajouter_version($id_article, $champs_originaux, _T('version_initiale'));
			
							// Remettre une date un peu ancienne pour la version initiale 
							if ($id_version == 1) // test inutile ?
							spip_query("UPDATE spip_versions
							SET date=DATE_SUB(NOW(), INTERVAL 2 HOUR)
							WHERE id_article=$id_article AND id_version=1");
						}
					}
				}
				
				if ($ciauteur) {
				$query = "UPDATE spip_articles SET texte=\"$texte\", date_modif=NOW(), auteur_modif=$ciauteur  WHERE id_article=$id_article";
				} else {
				$query = "UPDATE spip_articles SET texte=\"$texte\", date_modif=NOW()  WHERE id_article=$id_article";
				}	
				$result = spip_query($query);
				
				// Stockage des versions
				if ($articles_versions) {
					ajouter_version($id_article, $champs_versions);
				}
				
				
				$url = ereg_replace('^/', '', "article.php3?id_article=$id_article");
				$adresse_site = lire_meta("adresse_site");
				$nom_site_spip = lire_meta("nom_site");
				$url = "$adresse_site/$url";
				$courr = _T('form_forum_message_auto')."\n\n";
				$courr .= "L'article '".$titre."' a t modifi par ".$cilogin." : \n";
				$courr .= "$url\n";
				$sujet = "[$nom_site_spip] $titre";
				$query = "SELECT spip_auteurs.* FROM spip_auteurs, spip_auteurs_articles AS lien WHERE lien.id_article='$id_article' AND spip_auteurs.id_auteur=lien.id_auteur";
				$result = spip_query($query);
				while ($row = spip_fetch_array($result)) {
					$email_auteur = trim($row["email"]);
					if (strlen($email_auteur) < 3) continue;
					envoyer_mail($email_auteur, $sujet, $courr);
				}			
			}
		}
	
	}

	if ($ciflag_modif_concurrente) {
		$fond = "_template/__article_editer";
		$delais = 0;
		$civotreversion = corriger_caracteres($textearticle);
		include ("inc-public.php3");
	} else {
		@header("Location: ./article.php3?id_article=".$id_article);
	}
	
} else {
	$fond = "_template/__acces_interdit";
	$delais = 0;
	include ("inc-public.php3");
}	

?>
