<?php
//--------------------- Debut ajout CI (varianteec) -----

include ("inc.php3");
include_ecrire ("_giseh_inc_ari.php3");



function ci_formulaire_droits_auteurs_ajouter($id_rubrique) {
	global $connect_statut;
	global $spip_lang_right;
	
	$ci_where = " AND auteurs.statut IN ('0minirezo', '1comite', 'ciredval', '6forum')";

	unset ($rub_restreinte);
	if ($connect_statut == '0minirezo') { // recuperer les admins restreints
		$restreint = spip_query("SELECT * FROM spip_auteurs_rubriques");
		while ($row = spip_fetch_array($restreint))
			$rub_restreinte[$row['id_auteur']] .= ','.$row['id_rubrique'];
	}

	$query = "SELECT auteurs.* FROM spip_auteurs AS auteurs, spip_auteurs_rubriques AS lien WHERE lien.id_rubrique=$id_rubrique AND auteurs.id_auteur=lien.id_auteur ".$ci_where ;
	$nombre_auteurs = spip_num_rows(spip_query($query));

	if ($nombre_auteurs > 0 OR ($flag_editable)) {
		
		if (!ci_ari($id_rubrique)) { 
			// auteurs affects par hritage
			$cilisteparents=ci_ascendance($id_rubrique);
			
			if ($cilisteparents) {
			
				$query = "SELECT auteurs.* FROM spip_auteurs AS auteurs, spip_auteurs_rubriques AS lien WHERE lien.id_rubrique IN $cilisteparents AND auteurs.id_auteur=lien.id_auteur ".$ci_where." ORDER BY nom";
				$result = spip_query($query);
				
				$cinbreauteursherites = spip_num_rows($result);
				
				while ($row = spip_fetch_array($result)) {
					$les_auteurs[] = $row['id_auteur'];
				}
			
			}	
		}
				
		// auteurs affects directement
		$query = "SELECT auteurs.* FROM spip_auteurs AS auteurs, spip_auteurs_rubriques AS lien WHERE lien.id_rubrique=$id_rubrique AND auteurs.id_auteur=lien.id_auteur ".$ci_where." ORDER BY nom";
		$result = spip_query($query);
		
		while ($row = spip_fetch_array($result)) {
			$les_auteurs[] = $row['id_auteur'];
			$auteursdirects[] = $row['id_auteur'];
		}
		
		if ($les_auteurs) {
			$cilisteauteur = "( ".implode(", ",$les_auteurs).", 0)";
		}
		
		debut_cadre_enfonce("redacteurs-24.gif");
		
		echo "<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=3 WIDTH=100% BACKGROUND=''><TR><TD BGCOLOR='#EEEECC'>";
		echo "<FONT SIZE=2 FACE='Georgia,Garamond,Times,serif'><B>Affecter un ou plusieurs auteurs  cette rubrique</B></FONT>";
		echo "</TABLE>";

		$query = "SELECT auteurs.* FROM spip_auteurs AS auteurs WHERE auteurs.id_auteur NOT IN ".$cilisteauteur." ".$ci_where." ORDER BY nom";
		$result = spip_query($query);

		echo "<FORM ACTION='_giseh_droits.php3' METHOD='post'>";
		
		echo "<table border=0 cellspacing=0 cellpadding=2 width=100% background=''>";
		$ifond=0;
		
		while ($row = spip_fetch_array($result)) {
			$id_auteur = $row['id_auteur'];
			$titre_auteur = $row['nom'];
			$type_auteur = $row['type'];
			$descriptif_auteur = $row['nom'];
			if ($row['statut']=='0minirezo' AND $rub_restreinte[$id_auteur] AND !ci_droit_id_auteur($id_auteur, 'ecadminsite')) $descriptif_auteur=$descriptif_auteur." (admin restreint)";

			if ($ifond==0){
				$ifond=1;
				$couleur="#FFFFFF";
			}else{
				$ifond=0;
				$couleur="#EDF3FE";
			}				

			if ($row['statut']=='0minirezo' AND !$rub_restreinte[$id_auteur] AND !ci_droit_id_auteur($id_auteur, 'ecadminsite') AND !ci_droit_id_auteur($id_auteur, 'ecadminsite', 'ecadminrestreint')){
				// ne pas afficher l'administrateur du site sauf s'il a une des deux options "affectable  un EC"
			} else {	
				echo "<TR WIDTH=\"100%\">";
				echo "<TD BGCOLOR='$couleur' width='70%'><FONT FACE='Verdana,Arial,Helvetica,sans-serif' SIZE=1>";
				echo "<input type='checkbox' name='ajout_auteurs[]' value=$id_auteur>".$descriptif_auteur;
				echo "</FONT></TD>";	
				echo "</TR>\n";
			}	
		}
		echo "<TR><td style='text-align:$spip_lang_right;'>";
		echo "<INPUT TYPE='submit' NAME='Valider' VALUE='"._T('bouton_valider')."' CLASS='fondo'>";
		echo "</TD></TR>";
		echo "</table>";
		echo "<INPUT TYPE='Hidden' NAME='id_rubrique' VALUE=$id_rubrique>";
		echo "<INPUT TYPE='Hidden' NAME='ciajout_img_avant' VALUE='(".implode(",",$auteursdirects).",0))'>";
		echo "</FORM>"; 

		fin_cadre_enfonce();
		
	}
}




// Vrifications pralables
$id_parent = intval($id_parent);
$id_rubrique = intval($id_rubrique);
$flag_editable = (ci_connect_eccma($id_rubrique) AND acces_rubrique($id_rubrique));

if ($id_rubrique) {
	if (!ci_lecture_rubrique($id_rubrique)) {
			@header("Location: ./index.php3");
			exit;
	}
}
if (cilire_config('ciautorisear')!="oui") {
			@header("Location: ./index.php3");
			exit;
}


// A mettre aprs le test ci_lecture_rubrique
// Cas d'un rdacteur promu gestionnaire de la rubrique
if (ci_connect_statut($id_rubrique) == '0minirezo' AND $connect_statut == '1comite') {
	$flag_editable=true;
}	

if (!$flag_editable) {
	die ("<H3>"._T('info_acces_interdit')."</H3>");
}

// infos sur cette rubrique
$query="SELECT * FROM spip_rubriques WHERE id_rubrique='$id_rubrique'";
$result=spip_query($query);

while($row=spip_fetch_array($result)){
	$id_rubrique=$row['id_rubrique'];
	$id_parent=$row['id_parent'];
	$titre=$row['titre'];
}

if ($titre)
	$titre_page = "&laquo; ".textebrut($titre)." &raquo;";
else
	$titre_page = _T('titre_naviguer_dans_le_site');


// debut de la page
debut_page($titre_page, "documents", "rubriques");


// parents
debut_grand_cadre();
if ($id_rubrique  > 0) afficher_hierarchie($id_parent);
fin_grand_cadre();
changer_typo('', 'rubrique'.$id_rubrique);


debut_gauche();

if ($id_rubrique > 0) {
	debut_boite_info();
		echo "<CENTER><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=1><B>"._T('titre_numero_rubrique')."</B></FONT>";
		echo "<BR><FONT FACE='Verdana,Arial,Sans,sans-serif' SIZE=6><B>$id_rubrique</B></FONT></CENTER>";
	fin_boite_info();
}


debut_droite();

if ($id_rubrique == 0) {
	$nom_site = lire_meta("nom_site");
	$titre = _T('info_racine_site').": ".$nom_site;
}

if ($id_rubrique ==  0) $ze_logo = "racine-site-24.gif";
else if ($id_parent == 0) $ze_logo = "secteur-24.gif";
else $ze_logo = "rubrique-24.gif";

debut_cadre_relief($ze_logo);

echo "\n<table cellpadding=0 cellspacing=0 border=0 width='100%'>";
echo "<tr width='100%'><td width='100%' valign='top'>";
gros_titre((!acces_restreint_rubrique($id_rubrique) ? '' :
	   http_img_pack("admin-12.gif",'', "width='12' height='12'",
			 _T('info_administrer_rubrique'))) .
	   $titre);
echo "</td>";

if ($id_rubrique > 0 AND $flag_editable) {
	echo "<td>", http_img_pack("rien.gif", ' ', "width='5'") ."</td>\n";
	echo "<td  align='$spip_lang_right' valign='top'>";
	icone(_T('icone_retour'), "_giseh_droits.php3?id_rubrique=$id_rubrique", $ze_logo, "edit.gif");
	echo "</td>";
}
echo "</tr>\n";
echo "</table>\n";



if ($flag_editable AND $id_rubrique > 0) {
	$cimsg="<br>Aussi, l'ajout d'auteur n'est pas autoris dans cette rubrique.";
	$ciari=ci_ari($id_rubrique);
	if ( (!$ciari) AND ci_ari_heritage($id_rubrique) ) {
		echo cilibprotection("_acces_indiv_heritage");
		echo $cimsg;
	} elseif ( (!$ciari) AND ci_ar_heritage($id_rubrique) ) {
		echo cilibprotection("_acces_restreint_heritage");
		echo $cimsg;
	} else {
		ci_formulaire_droits_auteurs_ajouter($id_rubrique);
	}
}

fin_cadre_relief();

fin_page();

//--------------------- Fin ajout CI -----

?>
