<?php

//
// Ce fichier ne sera execute qu'une fois
if (defined("_ECRIRE_GISEH_INC_CALCUL")) return;
define("_ECRIRE_GISEH_INC_CALCUL", "1");

//--------- Debut ajout CI (acces restreints, previsualisation, multisites) ---------------------
function ci_rubdusite($cisite) {
	static $liste_rubriques;

	if (!$liste_rubriques) {
		// SANS hritage
		    $liste_rubriques="(0)";
		
		    include_ecrire('inc_connect.php3');
		
		    $query = "SELECT rubriques.id_rubrique FROM spip_rubriques AS rubriques,spip_mots_rubriques AS lien_mot,spip_mots AS mots WHERE rubriques.id_rubrique=lien_mot.id_rubrique AND lien_mot.id_mot=mots.id_mot AND mots.titre='".$cisite."' AND rubriques.statut='publie' GROUP BY rubriques.id_rubrique";
		    $result = @spip_query($query);
		
		    if ($result){
		    	while ($row = @spip_fetch_array($result)) {
		    		$cirubriques[] = $row['id_rubrique'];
		    	}
		    }
		
		    if ($cirubriques){
		        $liste_rubriques = "( ".implode(", ",$cirubriques).", 0)";
		    }
	}    
    return $liste_rubriques;
}

function ci_rubdusiteprevisu($cisite) {
	static $liste_rubriques;

	if (!$liste_rubriques) {
		// SANS hritage
		    $liste_rubriques="(0)";
		
		    include_ecrire('inc_connect.php3');
		
		    $query = "SELECT rubriques.id_rubrique FROM spip_rubriques AS rubriques,spip_mots_rubriques AS lien_mot,spip_mots AS mots WHERE rubriques.id_rubrique=lien_mot.id_rubrique AND lien_mot.id_mot=mots.id_mot AND mots.titre='".$cisite."' GROUP BY rubriques.id_rubrique";
		    $result = @spip_query($query);
		
		    if ($result){
		    	while ($row = @spip_fetch_array($result)) {
		    		$cirubriques[] = $row['id_rubrique'];
		    	}
		    }
		
		    if ($cirubriques){
		        $liste_rubriques = "( ".implode(", ",$cirubriques).", 0)";
		    }
	}    
    return $liste_rubriques;
}



//--------- Debut ajout CI (ec) (rubriques en accs restreint individualis) ---------------------
function cilisterubprepa() {
// Si lutilisateur est restreint  des rubriques, il doit voir en prvisualisation les articles proposs ou en prparation des rubriques sur lesquelles il a des droits (sauf EC auxquels il n'a pas droit).
// Si lutilisateur nest pas restreint  des rubriques,  il doit voir en prvisualisation les articles proposs ou en prparation de toutes les rubriques sauf de celles en espaces collaboratifs.
	
// avec hritage

	static $liste_rubprepa;

	if (!$liste_rubprepa) {

		include_ecrire('inc_connect.php3');
	    
	    $liste_rubprepa="(0)";
	
		$auth_login = $GLOBALS['auteur_session']['login'];
		$connect_statut	 = $GLOBALS['auteur_session']['statut'];
	
		if ($auth_login){
	
			// Chercher le login dans la table auteurs
			$auth_login = addslashes($auth_login);
//			$query = "SELECT * FROM spip_auteurs WHERE login='$auth_login' AND statut!='5poubelle' AND statut!='6forum'";
			$query = "SELECT * FROM spip_auteurs WHERE login='$auth_login' AND statut!='5poubelle'";
			$result = @spip_query($query);
	
			if ($row = spip_fetch_array($result)) {
				$connect_id_auteur = $row['id_auteur'];
			}
	
			if ($connect_id_auteur){
	
					$query = "SELECT id_rubrique FROM spip_auteurs_rubriques WHERE id_auteur=$connect_id_auteur AND id_rubrique!='0'";
				    $result = @spip_query($query);
		
					$connect_toutes_rubriques = (@spip_num_rows($result) == 0);
					// admin du site affectable dans des EC
					if (!$connect_toutes_rubriques AND ($connect_statut == '0minirezo')) $connect_toutes_rubriques=ci_droit_id_auteur($connect_id_auteur, 'ecadminsite');
					if (!$connect_toutes_rubriques AND ($connect_statut == '1comite')) $connect_toutes_rubriques=ci_droit_id_auteur($connect_id_auteur, 'ecredacnr');
			
				    if ($result){
				    	while ($row = @spip_fetch_array($result)) {
				    		$connect_id_rubrique[] = $row['id_rubrique'];
				    	}
				    }
		
				    $query = "SELECT rubriques.* FROM spip_rubriques AS rubriques GROUP BY rubriques.id_rubrique";
				    $result = @spip_query($query);
		
				    if ($result){
				    	while ($row = @spip_fetch_array($result)) {
				    		$cifils[] = $row['id_rubrique'];
				    		$ciparents[] = $row['id_parent'];
				    	}
				    }
			
				if ($connect_toutes_rubriques) {
					if ($connect_id_rubrique) {
						// Si lutilisateur est restreint  des rubriques,
						//  il doit voir en previsualisation les articles proposs ou en prparation de toutes les rubriques
						// sauf de celles en espaces collaboratifs
						// mais avec celles des espaces collaboratifs sur lesquels il a des droits.
						// (a + c)
						$c="0";
						$liste_rubprepa=cilisterubhorsecprevisu($cifils, $ciparents);
						$citabrubecauteurprevisu = citabrubecauteurprevisu($connect_id_auteur, $cifils, $ciparents);
						if ($citabrubecauteurprevisu) {
							$c = implode(", ",$citabrubecauteurprevisu);
							$liste_rubprepa= substr($liste_rubprepa,0,-1).",  ".$c.")";
						}
					} else {
						// Si lutilisateur nest pas restreint  des rubriques,
						//  il doit voir en previsualisation les articles proposs ou en prparation de toutes les rubriques
						// sauf de celles en espaces collaboratifs.
						// (a)
						$liste_rubprepa=cilisterubhorsecprevisu($cifils, $ciparents);
					}	
				} else {
					// Si lutilisateur est restreint  des rubriques,
					//  il doit voir en previsualisation les articles proposs ou en prparation
					// - des rubriques non EC auxquelles il a accs dans lespace priv
					// - des EC auxquels il a droit
					// (b + c)
					$c="0";
			    	$liste_rubprepa = cilisterubauteurhorsecprevisu($connect_id_rubrique,$cifils, $ciparents);
			    	$citabrubecauteurprevisu = citabrubecauteurprevisu($connect_id_auteur, $cifils, $ciparents);
			    	if ($citabrubecauteurprevisu) {
						$c = implode(", ",$citabrubecauteurprevisu);
						$liste_rubprepa= substr($liste_rubprepa,0,-1).",  ".$c.")";
			    	}
				}
			}
		}
	}
	return $liste_rubprepa;

}

function cilisterubhorsecprevisu($cifils, $ciparents) {
// (a)
	$liste_rub_hors_ec="(0)";
	if ($cifils) $liste_rub_hors_ec= "( ".implode(", ",$cifils).", 0)";
	$citabrubari=citabrubecprevisu();
	if ($citabrubari) {
		if (is_array($citabrubari)) {
			while (list(, $cirubec) = each($citabrubari)) {
				$liste_rub_hors_ec = str_replace(", ".$cirubec.", ",", ",$liste_rub_hors_ec);
				$liste_rub_hors_ec = str_replace("( ".$cirubec.", ","( ",$liste_rub_hors_ec);					
			}	
		}	
	}
	
	return $liste_rub_hors_ec;
	
}

function cilisterubauteurhorsecprevisu($connect_id_rubrique,$cifils, $ciparents) {
// les rubriques auxquelles lauteur est affect dans spip_auteur_rubriques
// (plus celles au dessus et celles en dessous)
// et en enlevant les EC
// (b)

	$liste_rub_auteur_hors_ec="(0)";
	$cidescendants = cidescendance($connect_id_rubrique, $cifils, $ciparents,$connect_id_rubrique);
	$ciavecheritage = ciascendance($connect_id_rubrique, $cifils, $ciparents,$cidescendants);
	if ($ciavecheritage) {
		$liste_rub_auteur_hors_ec = "( ".implode(", ",$ciavecheritage).", 0)";
	} else {
		$liste_rub_auteur_hors_ec = "(0)";
	}
	$citabrubari=citabrubecprevisu();
	if ($citabrubari) {
		if (is_array($citabrubari)) {
			while (list(, $cirubec) = each($citabrubari)) {
					$liste_rub_auteur_hors_ec = str_replace(", ".$cirubec.", ",", ",$liste_rub_auteur_hors_ec);
					$liste_rub_auteur_hors_ec = str_replace("( ".$cirubec.", ","( ",$liste_rub_auteur_hors_ec);					
			}	
		}	
	}
	
	return $liste_rub_auteur_hors_ec;

}

function citabrubecauteurprevisu($idauteur, $cifils, $ciparents) {
// liste des EC auxquels la personne a droit
// avec descendance et ascendance 
// (c)

	$cirestreints=array();
	$idmot=ci_idmotari();
	$query = "SELECT rubriques.id_rubrique FROM spip_rubriques AS rubriques,spip_mots_rubriques AS lien_mot WHERE rubriques.id_rubrique=lien_mot.id_rubrique AND lien_mot.id_mot IN ".$idmot." GROUP BY rubriques.id_rubrique";
	$result = @spip_query($query);
	if ($result){
		while ($row = @spip_fetch_array($result)) {
			$cirestreints[] = $row['id_rubrique'];
		}
	}
	
	if ($cirestreints) {
	    $cirubari = "( ".implode(", ",$cirestreints).", 0)";
	} else {
	    $cirubari = "(0)";
	}
	
	$ci_tabecauteur=array();
	$ci_tabecauteur_h=array();

	if ($cirubari){
		$query_ari = "SELECT id_rubrique FROM spip_auteurs_rubriques WHERE id_auteur=".$idauteur." AND id_rubrique IN ".$cirubari." GROUP BY id_rubrique";
		$result_admin = spip_query($query_ari);
		if ($result_admin) {
			while ($row_admin = spip_fetch_array($result_admin)) {
				$ci_tabecauteur[] = $row_admin['id_rubrique'];
			}
		}

		$result_admin = spip_query($query_ari);		
		if ($result_admin) {
			for (;;) {
				$r = '';
				while ($row_admin = spip_fetch_array($result_admin)) {
					$id_rubrique = $row_admin['id_rubrique'];
					$r[] = $id_rubrique;
					$ci_tabecauteur_h[$id_rubrique] = $id_rubrique;
				}
				if (!$r) break;
				$r = join(',', $r);
				$query_admin = "SELECT id_rubrique FROM spip_rubriques WHERE id_parent IN ($r) AND id_rubrique NOT IN ($r)";
			 	$result_admin = spip_query($query_admin);
			 }
		}
	}

	$return = ciascendance($ci_tabecauteur, $cifils, $ciparents,$ci_tabecauteur_h);
	
	
	return $return;
}

function citabrubecprevisu() {
// tableau des rubriques EC avec heritage (et static)

	static $liste_indiv;

	if (!$liste_indiv) {
	
		$ci_tabrubarih=array();
			
		$idmotari=ci_idmotari();
		
		$query_admin = "SELECT id_rubrique FROM spip_mots_rubriques WHERE id_mot IN ".$idmotari." GROUP BY id_rubrique";
		$result_admin = spip_query($query_admin);
	
		if ($result_admin) {
			for (;;) {
				$r = '';
				while ($row_admin = spip_fetch_array($result_admin)) {
					$id_rubrique = $row_admin['id_rubrique'];
					$r[] = $id_rubrique;
					$ci_tabrubarih[$id_rubrique] = $id_rubrique;
				}
				if (!$r) break;
				$r = join(',', $r);
				$query_admin = "SELECT id_rubrique FROM spip_rubriques WHERE id_parent IN ($r) AND id_rubrique NOT IN ($r)";
			 	$result_admin = spip_query($query_admin);
			 }
		}
		
		$liste_indiv = $ci_tabrubarih;
		$return = $liste_indiv;
	
	} else {
			$return = $liste_indiv;
	}
		
	return $return;
}

function cilisterubmot($cirubmot) {
	// avec hritage
	//  cilisterubmot("_acces_indiv") 
	// cilisterubmot("_acces_restreint")

	static $liste_indiv;
	static $liste_restreint;

	if (($cirubmot=="_acces_indiv" AND !$liste_indiv) OR ($cirubmot=="_acces_restreint" AND !$liste_restreint)) {
	
	    	$liste_rubriques="(0)";
	    
		if($cirubmot){
			include_ecrire('inc_connect.php3');

			if ($cirubmot=="_acces_indiv") $idmot=ci_idmotari();
			if ($cirubmot=="_acces_restreint") $idmot=ci_idmotar();
			
			if (($cirubmot=="_acces_indiv") OR ($cirubmot=="_acces_restreint")) {
				$query = "SELECT rubriques.id_rubrique FROM spip_rubriques AS rubriques,spip_mots_rubriques AS lien_mot WHERE rubriques.id_rubrique=lien_mot.id_rubrique AND lien_mot.id_mot IN ".$idmot." AND rubriques.statut='publie' GROUP BY rubriques.id_rubrique";
			} else {
				$query = "SELECT rubriques.id_rubrique FROM spip_rubriques AS rubriques,spip_mots_rubriques AS lien_mot,spip_mots AS mots WHERE rubriques.id_rubrique=lien_mot.id_rubrique AND lien_mot.id_mot=mots.id_mot AND mots.titre='".$cirubmot."' AND rubriques.statut='publie' GROUP BY rubriques.id_rubrique";
			}
			$result = @spip_query($query);
		
	
			if ($result){
				while ($row = @spip_fetch_array($result)) {
					$cirestreints[] = $row['id_rubrique'];
				}
			}
			
			$query = "SELECT rubriques.* FROM spip_rubriques AS rubriques WHERE rubriques.statut='publie' GROUP BY rubriques.id_rubrique";
			$result = @spip_query($query);
			
			if ($result){
				while ($row = @spip_fetch_array($result)) {
					$cifils[] = $row['id_rubrique'];
					$ciparents[] = $row['id_parent'];
				}
			}
			
			$citoutrestreints = cidescendance($cirestreints, $cifils, $ciparents,$cirestreints);
			
			if ($citoutrestreints){
			    $liste_rubriques = "( ".implode(", ",$citoutrestreints).", 0)";
			}
			if ($cirubmot=="_acces_indiv"){
				$liste_indiv = $liste_rubriques;
				$return = $liste_indiv;
			} elseif ($cirubmot=="_acces_restreint") {
				$liste_restreint = $liste_rubriques;
				$return = $liste_restreint;
			}	
		}    
	} else {
		if ($cirubmot=="_acces_indiv"){
			$return = $liste_indiv;
		} elseif ($cirubmot=="_acces_restreint") {
			$return = $liste_restreint;
		}	
	}
		
	return $return;
}

function ciaccessrubec() {

	static $liste_rubriques;

	if (!$liste_rubriques) {
	
		// liste des rubriques en _acces_indiv sauf celles auxquelles la personne a droit (y compris les ascendants pour le site public).
		$liste_rubriques="(0)";
		$cirubari=cilisterubmot("_acces_indiv");	
		if ($cirubari) {
			$liste_rubriques=$cirubari;
		}
		
		// cas o la personne n'a pas de droits explicite sur une rubrique
		$connect_toutes_rubriques = false;
		$auth_login = $GLOBALS['auteur_session']['login'];
		if ($auth_login){
			// Chercher le login dans la table auteurs
			$auth_login = addslashes($auth_login);
//			$query = "SELECT * FROM spip_auteurs WHERE login='$auth_login' AND statut!='5poubelle' AND statut!='6forum'";
			$query = "SELECT * FROM spip_auteurs WHERE login='$auth_login' AND statut!='5poubelle'";
			$result = @spip_query($query);
	
			if ($row = spip_fetch_array($result)) {
				$connect_id_auteur = $row['id_auteur'];
				$connect_statut = $row['statut'];
			}
	
			if ($connect_id_auteur){
	
				$query = "SELECT id_rubrique FROM spip_auteurs_rubriques WHERE id_auteur=$connect_id_auteur AND id_rubrique!='0'";
				$result = @spip_query($query);
				
				$connect_toutes_rubriques = (@spip_num_rows($result) == 0);
		
				if (!$connect_toutes_rubriques) {	
		
					if ($cirubari) {
						$citabecauteurheritage =ci_tableau_ec_auteur_heritage($connect_id_auteur,$cirubari);
						$citabascendantsecauteur =ci_tableau_ascendants_ec_auteur($connect_id_auteur);
						if ($citabecauteurheritage) {
							if (is_array($citabecauteurheritage)) {
								while (list(, $cirubep) = each($citabecauteurheritage)) {
									$cirubari = str_replace(", ".$cirubep.", ",", ",$cirubari);
									$cirubari = str_replace("( ".$cirubep.", ","( ",$cirubari);					
								}	
							}	
						}
						if ($citabascendantsecauteur) {
							if (is_array($citabascendantsecauteur)) {
								while (list(, $cirubep) = each($citabascendantsecauteur)) {
									$cirubari = str_replace(", ".$cirubep.", ",", ",$cirubari);
									$cirubari = str_replace("( ".$cirubep.", ","( ",$cirubari);					
								}	
							}	
						}
						$liste_rubriques = $cirubari;
					}
				}
			}	
		}
//		// on laisse passer l'administrateur tout court
//		if ($connect_toutes_rubriques AND $connect_statut == "0minirezo"){
//			$liste_rubriques="(0)";
//		}


	}

	return $liste_rubriques;
}

function ciaccessrubsp() {
	static $liste_rubriques;

	if (!$liste_rubriques) {
	
		// liste des rubriques en _acces_restreint ou en _acces_indiv
		$liste_rubriques="(0)";
	
		$cirubar=cilisterubmot("_acces_restreint");	
		$cirubari=cilisterubmot("_acces_indiv");	
		
		$liste_rubriques = substr($cirubar,0,-2).substr($cirubari,1);
	}
    return $liste_rubriques;
}


function ciascendance($cinewrestreints, $cifils, $ciparents, $citotalrestreints) {

    $citrouve = false;
    $ciresultrestreints = array();
    $cicumulrestreints = $citotalrestreints;

    if (($cinewrestreints) AND ($cifils) AND ($ciparents)){
        reset($cinewrestreints);
        while (list(,$cinewrestreint) = each($cinewrestreints)) {
            reset($cifils);
            while (list($cle,$cifil) = each($cifils)) {
                if ($cifil==$cinewrestreint){
                	if (!in_array( $ciparents[$cle],$ciresultrestreints) AND $ciparents[$cle]>0) {
                    		$ciresultrestreints[] = $ciparents[$cle];
                    		$citrouve = true;
                	}
                }
            }
        }

        if ($citrouve) {
            if ($ciresultrestreints){
                reset($ciresultrestreints);
                while (list(,$ciresultrestreint) = each($ciresultrestreints)) {
                    $cicumulrestreints[] = $ciresultrestreint;
                }
            }
            return(ciascendance($ciresultrestreints, $cifils, $ciparents, $cicumulrestreints));
        } else {
            return $cicumulrestreints;
        }
    }

}

//--------- Fin ajout CI ---------------------


function cidescendance($cinewrestreints, $cifils, $ciparents, $citotalrestreints) {

    $citrouve = false;
    $ciresultrestreints = array();
    $cicumulrestreints = $citotalrestreints;

    if (($cinewrestreints) AND ($cifils) AND ($ciparents)){
        reset($cinewrestreints);
        while (list(,$cinewrestreint) = each($cinewrestreints)) {
            reset($ciparents);
            while (list($cle,$ciparent) = each($ciparents)) {
                if ($ciparent==$cinewrestreint){
                    $ciresultrestreints[] = $cifils[$cle];
                    $citrouve = true;
                }
            }
        }

        if ($citrouve) {
            if ($ciresultrestreints){
                reset($ciresultrestreints);
                while (list(,$ciresultrestreint) = each($ciresultrestreints)) {
                    $cicumulrestreints[] = $ciresultrestreint;
                }
            }
            return(cidescendance($ciresultrestreints, $cifils, $ciparents, $cicumulrestreints));
        } else {
            return $cicumulrestreints;
        }
    }

}

//--------- Fin ajout CI ---------------------

?>