<?php

/***************************************************************************\
 *  SPIP, Systeme de publication pour l'internet                           *
 *                                                                         *
 *  Copyright (c) 2001-2008                                                *
 *  Arnaud Martin, Antoine Pitrou, Philippe Riviere, Emmanuel Saint-James  *
 *                                                                         *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
 *  Pour plus de details voir le fichier COPYING.txt ou l'aide en ligne.   *
\***************************************************************************/

if (!defined("_ECRIRE_INC_VERSION")) return;

include_ecrire("inc_meta.php3");
include_ecrire("inc_index.php3");
include_ecrire("inc_texte.php3");
include_ecrire("inc_filtres.php3");
include_ecrire("inc_lang.php3");
include_ecrire("inc_documents.php3");

function giseh_action_ajouter_document($array_droits,$connect_id_auteur,$connect_statut,$cilogin) {
	global $HTTP_POST_FILES;
	
	$return = true;
	
	//-------------------------------------------------------
	// securite
	$id_document = _cireqsecure('id_document');
	$id_article = _cireqsecure('id_article');
	$forcer_document = _cireqsecure('forcer_document');
	$mode = _cireqsecure('mode');
	$test_vignette = "";
	$ajout_doc = _cireqsecure('ajout_doc');
	$hash = _cireqsecure('hash');
	$hash_id_auteur = _cireqsecure('hash_id_auteur');
	$remplacer_doc = _cireqsecure('remplacer_doc');
	$redirect = "";
	$type = _cireqsecure('type');
	$ajout_logo = _cireqsecure('ajout_logo');
	$logo = _cireqsecure('logo');
	$image_supp = _cireqsecure('image_supp');
	$doc_supp = _cireqsecure('doc_supp');
	$ciautrepage=true;
	
	
	
	include_once("spip_image.php3");
	if ($ciid_document>0) {
		$ci_id_document=$ciid_document;
		$_GET['id_document']=$ci_id_document;
		$_GET['bt_doc_modifier']=$ci_id_document;
	}

	return $return;
	
}	

?>