<?php

/***************************************************************************\
 *  SPIP, Systeme de publication pour l'internet                           *
 *                                                                         *
 *  Copyright (c) 2001-2008                                                *
 *  Arnaud Martin, Antoine Pitrou, Philippe Riviere, Emmanuel Saint-James  *
 *                                                                         *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
 *  Pour plus de details voir le fichier COPYING.txt ou l'aide en ligne.   *
\***************************************************************************/

if (!defined("_ECRIRE_INC_VERSION")) return;

include_ecrire("inc_texte.php3");
include_ecrire("inc_filtres.php3");

function giseh_action_editer_article_petition($array_droits,$connect_id_auteur,$connect_statut,$cilogin) {

	$return = true;
	
	$ci_id_article = _cireqsecure('id_article');
	
	
	if ($ci_id_article>0) {
	
		$supprimer = _cireqsecure('supprimer');
		
		if (!$supprimer OR $supprimer!='supprimer') {
			$email_unique = _cireqsecure('email_unique');
			$site_obli = _cireqsecure('site_obli');
			$site_unique = _cireqsecure('site_unique');
			$message = _cireqsecure('message');
			$texte_petition = corriger_caracteres(_cireqsecure('texte_petition'));
			
			if (!$email_unique) $email_unique = "non";
			if (!$site_obli) $site_obli = "non";
			if (!$site_unique) $site_unique = "non";
			if (!$message) $message = "non";

			$exist_petition = false;
			$result = cisql_select("id_article", "spip_petitions", "id_article=$ci_id_article", '', '', '');
			while ($row = spip_fetch_array($result)) {
				$exist_petition = $row["id_article"];
			}
		
			if ($exist_petition) {
				cisql_updateq("spip_petitions", array("email_unique" => $email_unique, "site_obli" => $site_obli, "site_unique" => $site_unique, "message" => $message, "texte" => $texte_petition), "id_article=$ci_id_article");
			} else {
				cisql_insertq("spip_petitions", array("id_article" => $ci_id_article, "email_unique" => $email_unique, "site_obli" => $site_obli, "site_unique" => $site_unique, "message" => $message, "texte" => $texte_petition));
			}

		} else {
			cisql_delete("spip_petitions", "id_article=$ci_id_article");
		}
	}

	return $return;
}
?>