<?php

/***************************************************************************\
 *  SPIP, Systeme de publication pour l'internet                           *
 *                                                                         *
 *  Copyright (c) 2001-2008                                                *
 *  Arnaud Martin, Antoine Pitrou, Philippe Riviere, Emmanuel Saint-James  *
 *                                                                         *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
 *  Pour plus de details voir le fichier COPYING.txt ou l'aide en ligne.   *
\***************************************************************************/

if (!defined("_ECRIRE_INC_VERSION")) return;

include_ecrire("inc_meta.php3");
include_ecrire("inc_index.php3");
include_ecrire("inc_texte.php3");
include_ecrire("inc_filtres.php3");
include_ecrire("inc_lang.php3");
include_ecrire("inc_documents.php3");

function giseh_action_supprimer_document($array_droits,$connect_id_auteur,$connect_statut,$cilogin) {

	$return = true;

	$ci_id_article = _cireqsecure('id_article');
	$ci_id_doc_supp = _cireqsecure('doc_supp');
	
	$id_document = _cireqsecure('id_document');
	$id_article = _cireqsecure('id_article');
	$forcer_document = _cireqsecure('forcer_document');
	$mode = _cireqsecure('mode');
	$test_vignette = "";
	$ajout_doc = _cireqsecure('ajout_doc');
	$hash = _cireqsecure('hash');
	$hash_id_auteur = _cireqsecure('hash_id_auteur');
	$remplacer_doc = _cireqsecure('remplacer_doc');
	$redirect = "";
	$type = _cireqsecure('type');
	$ajout_logo = _cireqsecure('ajout_logo');
	$logo = _cireqsecure('logo');
	$image_supp = _cireqsecure('image_supp');
	$doc_supp = _cireqsecure('doc_supp');

	
	// Suppression d'une vignette ( mettre avant spip_image)
	if ($ci_id_article>0 AND $ci_id_doc_supp>0) {
		
		$parent_vignette = 0;
		$parent_id_type = 0;
		$parent_type = "";
		if ($row = cisql_fetsel("id_document, id_type", "spip_documents", "id_vignette=$ci_id_doc_supp")) {
			$parent_vignette = $row['id_document'];
			$parent_id_type = $row['id_type'];
		}
		if ($parent_vignette>0 AND $parent_id_type>0) {
			if ($row = cisql_fetsel("inclus", "spip_types_documents", "id_type=$parent_id_type")) {
				$parent_type = $row['inclus'];
			}
			if ($parent_type=="image") {		
				cisql_updateq("spip_documents", array("id_vignette" => 0, "mode" => 'vignette'), "id_document=$parent_vignette");										
			} else {
				cisql_updateq("spip_documents", array("id_vignette" => 0), "id_document=$parent_vignette");										
			}
		}
	}	
	
	$ciautrepage=true;
	include_once("spip_image.php3");
	
	// Effacer les raccourcis
	if ($ci_id_article>0 AND $ci_id_doc_supp>0) {
		
		if ($row = cisql_fetsel("id_article, descriptif, texte", "spip_articles", "id_article=$ci_id_article")) {
			$olddescriptif = $row['descriptif'];
			$oldtexte = $row['texte'];
			$cipattern = "/<(img|doc|emb)".$ci_id_doc_supp."(|\|center|\|left|\|right)>/i";
			$olddescriptif = preg_replace($cipattern, "", $olddescriptif);
			$oldtexte = preg_replace($cipattern, "", $oldtexte);
			cisql_updateq("spip_articles", array("descriptif" => $olddescriptif, "texte" => $oldtexte), "id_article=$ci_id_article");
										
		}	
			
	}
	
	
	
	return $return;
}

?>