<?php

if (!defined("_ECRIRE_INC_VERSION")) return;	#securite

include_local(_FILE_CONNECT);
include_ecrire("inc_meta.php3");
include_ecrire("inc_session.php3");
include_ecrire("inc_filtres.php3");

global $balise_LOGIN_PUBLIC_collecte;
$balise_LOGIN_PUBLIC_collecte = array('url');

# retourner:
# 1. l'url collectee ci-dessus (args0) ou donnee en filtre (filtre0)
# 2. l'eventuel parametre de la balise (args1) fournie par
#    calculer_balise_dynamique, en l'occurence le #LOGIN courant si l'on
#    programme une <boucle(AUTEURS)>[(#LOGIN_PUBLIC{#LOGIN})]

function balise_LOGIN_PUBLIC_stat ($args, $filtres) {
	return array($filtres[0] ? $filtres[0] : $args[0], $args[1], $args[2]);
}

function balise_LOGIN_PUBLIC_dyn($url, $login) {

	if (!$url		# pas d'url passee en filtr eou dans le contexte
	AND !$url = _request('url') # ni d'url passee par l'utilisateur
	) {
		$link = new Link();
		$link->delVar('var_erreur');
		$link->delVar('var_login');
		$url = $link->getUrl();
	}
	return login_explicite($login, $url);
}

function login_explicite($login, $cible) {
	global $auteur_session;

	$link = new Link();
	$link->delVar('var_erreur');
	$link->delVar('var_login');
	$action = $link->getUrl();

	if ($cible) {
	  $cible = ereg_replace("[?&]var_erreur=[^&]*", '', $cible);
	  $cible = ereg_replace("[?&]var_login=[^&]*", '', $cible);
	} else {
	  if (ereg("[?&]url=([^&]*)", $action, $m))
	    $cible = urldecode($m[1]);
	  else
	    $cible = _DIR_RESTREINT ;
	}
	      
	include_ecrire("inc_session.php3");
	verifier_visiteur();

//----- Debut ajout CI (securite) -----
	$ci_cible_ok=false;
	$ci_cibles_secure=array("./",_DIR_RESTREINT,"index.php3","sommaire.php3","rubrique.php3","article.php3","sujet.php3","forum.php3","recherche.php3","plan.php3","_giseh.php","_article_versions.php3","_article_editer.php3","_chat_index.php3","_upload.php3","_article_reserver_pj.php3");
	while (list(,$ci_cible_secure) = each($ci_cibles_secure)) {
		if (substr($cible,0,strlen($ci_cible_secure))==$ci_cible_secure) {
			$ci_cible_ok=true;
			break;
		}	
	}
	if (!$ci_cible_ok) $cible = _DIR_RESTREINT;
//----- Fin ajout CI -----
	
	
	if ($auteur_session AND 
	($auteur_session['statut']=='0minirezo' OR $auteur_session['statut']=='1comite')) {
		if (($cible != $action) && !headers_sent()
		AND !$_GET['var_mode'])
			redirige_par_entete($cible);
		return http_href($cible, _T('login_par_ici'));
	}
	return login_pour_tous($login ? $login : _request('var_login'), $cible, $action);
}

function login_pour_tous($login, $cible, $action) {
	global $ignore_auth_http, $php_module, $_SERVER, $_COOKIE;

	// en cas d'echec de cookie, inc_auth a renvoye vers spip_cookie qui
	// a tente de poser un cookie ; s'il n'est pas la, c'est echec cookie
	// s'il est la, c'est probablement un bookmark sur bonjour=oui,
	// et pas un echec cookie.
	if (_request('var_echec_cookie'))
		$echec_cookie = ($_COOKIE['spip_session'] != 'test_echec_cookie');
	$auth_http = ($echec_cookie AND $php_module AND !$ignore_auth_http) ?
		'spip_cookie.php3' : '';
	// Attention dans le cas 'intranet' la proposition de se loger
	// par auth_http peut conduire a l'echec.
	if ($_SERVER['PHP_AUTH_USER'] AND $_SERVER['PHP_AUTH_PW'])
		$auth_http = '';

	// Le login est memorise dans le cookie d'admin eventuel
	if (!$login) {
		if (ereg("^@(.*)$", $_COOKIE['spip_admin'], $regs))
			$login = $regs[1];
	} else if ($login == '-1')
		$login = '';

	$erreur = '';
	if ($login) {
		$s = spip_query("SELECT * FROM spip_auteurs
			WHERE login='" .addslashes($login) ."'");
		$row =  spip_fetch_array($s);

		// Retrouver ceux qui signent de leur nom ou email
		if (!$row AND !$GLOBALS['ldap_present']) {
			if ($t = spip_fetch_array(
			spip_query(
				"SELECT * FROM spip_auteurs
				WHERE (nom LIKE '" .addslashes($login) ."'
				OR email LIKE '" .addslashes($login) ."')
				AND login<>'' AND statut<>'5poubelle'"
			))) {
				$row = $t;
				$login_alt = $login; # afficher ce qu'on a tape
				$login = $t['login'];
			}
		}

		if ((!$row AND !$GLOBALS['ldap_present']) OR
			($row['statut'] == '5poubelle') OR 
			(($row['source'] == 'spip') AND $row['pass'] == '')) {
			$erreur =  _T('login_identifiant_inconnu',
				array('login' => htmlspecialchars($login)));
			$row = array();
			$login = '';
			@spip_setcookie("spip_admin", "", time() - 3600);
		} else {
			// on laisse le menu decider de la langue
			unset($row['lang']);
		}
	}
	if (!$row)
		$row = array();

	// afficher "erreur de mot de passe" si &var_erreur=pass
	if (_request('var_erreur') == 'pass')
		$erreur = _T('login_erreur_pass');

//--------- Debut ajout CI (login  rptition) ---------------------
	$ciok = false;
	$cistrechec="";
	$ciresult = spip_query ("SELECT cookie_oubli FROM spip_auteurs WHERE login='".addslashes($login)."' AND statut!='5poubelle'");
	if ($row2 = spip_fetch_array($ciresult)) {
		$cilogold = $row2['cookie_oubli'];
		if ($cilogold){
			$cipos = strpos($cilogold,"echec");
			if ($cipos) {
				$cistrechec = substr($cilogold,0,$cipos);
				$cidateechec = intval(substr($cilogold,$cipos+5));
			} else {
				$ciok =true;
			}
		} else {
			$ciok =true;
		}
	} else {
		$ciok =true;
	}



	if (!$ciok){
		if (time()>=$cidateechec){
			$ciintechec=intval($cistrechec);
			$cireste = 3- $ciintechec;
			if ($ciintechec<3) {
				 $erreur = 'Il y eu '.$cistrechec.' erreur(s) de login ou mot de passe. Il vous reste '.strval($cireste).' tentative(s) avant blocage.';
			} else {
				 $erreur = 'Il y eu '.$cistrechec.' erreur(s) de login ou mot de passe. Il vous reste une seule tentative avant blocage.';
			}	
			$ciok=true;
		} else {
			$cinbseconde = $cidateechec-time();
			$cinbheure = intval($cinbseconde/3600);
			$cinbminute = intval(($cinbseconde-(3600*$cinbheure))/60);
			$erreur = 'Il y eu '.$cistrechec.' erreurs de login ou mot de passe. Attendez un d&eacute;lai de '.strval($cinbheure).' h '.strval($cinbminute).' mn pour pouvoir vous connecter.';
		}        
	} else {
	}

	if (!$ciok AND $login AND $erreur){
		echo '<h3 class="spip">';
		echo $erreur;
		echo '</h3>';	
		
	} else {
//--------- Fin ajout CI ---------------------
		
	return array('formulaire_login', $GLOBALS['delais'],
		array_merge(
				array_map('texte_script', $row),
				array(
					'action2' => ($login ? 'spip_cookie.php3' : $action),
					'erreur' => $erreur,
					'action' => $action,
					'url' => $cible,
					'auth_http' => $auth_http,
					'echec_cookie' => ($echec_cookie ? ' ' : ''),
					'login' => $login,
					'login_alt' => ($login_alt ? $login_alt : $login),
					'self' => $GLOBALS["clean_link"]->getUrl()
					)
				)
			);
//--------- Debut ajout CI (login  rptition) ---------------------
	}
//--------- Fin ajout CI ---------------------

}

// Bouton duree de connexion

function filtre_rester_connecte($prefs) {
	$prefs = unserialize(stripslashes($prefs));
	return $prefs['cnx'] == 'perma' ? ' ' : '';
}

// made in cherche_image_nommee. A partager.

function silogoauteur($id_auteur, $formats = array ('gif', 'jpg', 'png')) {
	reset($formats);
	while (list(, $format) = each($formats)) {
		$d = _DIR_IMG . "auton$id_auteur.$format";
		if (@file_exists($d)) return $d;
	}
	return  '';
}

?>
